Bug 87441 - Sending document as Email removes invisible content - this should be a configuration option
Summary: Sending document as Email removes invisible content - this should be a config...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-18 12:18 UTC by Denis Simonet
Modified: 2016-09-23 12:10 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Proposal for the new option (46.94 KB, image/png)
2014-12-18 12:18 UTC, Denis Simonet
Details
Sample document (8.74 KB, application/vnd.oasis.opendocument.text)
2014-12-23 08:15 UTC, Denis Simonet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Simonet 2014-12-18 12:18:15 UTC
Created attachment 110985 [details]
Proposal for the new option

When sending a document by eMail, OpenOffice intentionally removes any invisible content. While this can be appropriate for some users, others will not expect this to happen. In fact, there are situations where removing invisible content (such as hidden sections) damages the document. Therefore we suggest to introduce a new option which makes it possible to control this behaviour.

It is about the following code: sw/source/uibase/app/docsh2.cxx +830 (Call to mpDoc->RemoveInvisibleContent())
Comment 1 Denis Simonet 2014-12-18 12:23:57 UTC
Comment on attachment 110985 [details]
Proposal for the new option

>PNG
>
>
IHDRµº×aÉsRGB®ÎébKGDÿÿÿ ½§	pHYstIMEÞ
#&­ÉkË IDATxÚìÝw|SåþÀñOÒ4I÷¶lhK"²A¯?Q½."¨¨¸¸Ü¯
>
>êU¯  xU¸u Ø
>Ú*³l-{ïQ:)´Ò&9¿?Ú¦3PZ¿o^yç9Ï8IÎ7ÏyÎQ
>B!B!Däp4!CZB!B!D1ýÍwúlnaPµ6^ZE!B!Db
jÍfs¥/ÌSÔ$ä;fr _Qã¤Rðu4älD§¶HK
>!B!¨Ð	©u¯9VqPk© ¨5**öæjÙ§%WQcQT(ªè᪲îCWmZ	nB!BGQhÔ²ÆÉãwl(7n½ÔZÊ®¼jq`}¶;ç
>\°¨T¶å)zä(jâót$83X·CtBü¼ñ̬ÚrÏH[v¿}U!n
ÙW3«ÆhÌCQrãÖ
>Gjës<9Sà¥Ú27bvfm¶ûÝÒѪdÄV!ê[Ó©mÞ:.ef³ÿĶí;Ù\³ÏçYÏ
 &n?;¶Yw!5ÌK)Ä­ù¤«*·ëÜ Ú¬²ºÝÈ´
¥öæ]VÔ[+Û/ý¾3ç2ܾ*
]ñmwÂ_þïÿX³jU¯·y(JõFjõ3i¬­#tðq¦[<³Â)ùdåèè«¡©WìLv`wn=]äjÊBq³9:¨û@OZúp!	E±Ð,8wùºñÕ](µ¸Ûø={fm;Y-ú~=q?ýE±`ðiÎÓOo¿×~åÕíf¤-Ûª¸ÎE}Ô±*ÉÉ)\Ê°ýþ_óÍGÜóðóõÒåí%¥&m°ûªB4ܨV)úÏb¸®)óÒûîR"¥((®b¤¶ä¢L¨ØW`ÀÂõZWG5gGò °{6ÁlVH¼jäûC\ȶ qRsøhUfé4!¸îîÒ>Íf^ùÇt¶íØwuçÝÙ¯Ú¦Íܶpâ²Ì}i4¿n;¯ðÖäMl?ÂÖ='¬ù¿`Ê+/XOýÏ÷××OÉßÅ°vó.ÔjÌf3m0ðÎöúyÁÚ9q.¥LÞ¿m?ö­É7ðë¶ü~°pD1Èß!}o#ÐϵZEFÖ5Oå§
»ë¼
ÓΣóðcÑÏUY®ªÚÅÉÑAwÓ©]0ì|ö9Ço;ZGÌóX»ãM}=hÛ<MñGùuÛ~Þ}å¯U¡:Û¨¨uå«o¿'êçU8:8Y¹ht;Oö]ÊMS²þÁþ^´ö#9=e«wÚ²	ýîÃÙÉN³jó>kºfM¼Òç6|<õ¸º8a4HH¹Äê­HJ˨p¿,sle±Ty¡L!uÏ¢(ÄÆüÌýC°°±1?[×/ùR4ùUQÊýÜ.w¤6Ù¢åªÙ1-ò,l<ÀG³èêÁ]Mµ|y ÓõשpàÉ+Ò[BqÝÒu6±mçïø5E£óàÜe[ßCﻺҿwVLKx÷þÖtýîåêÕkde]Á×ÇúváìÉc$dþz>ùÍx~?[·|ýG>uý{"ñ4(huzÚû2nxoT*Ó/a±XhÞ´pÙ¾øä,MÙûßJFÖUòrsÑëup;[¶lÆÑÀùO=Fc'OÅ×ǶÛGÛÛzÝ/Z{ÊUU»Ú¶Í0Ì={ À&ô»#'%ã£V«­ÛéÛ5|£I:øgþZeìÙ½ýWܽàîÝJÔÍÉɹÜ_ÕKêÓµ.g
>¼ûÀxx¸u½'}º°i㮪Üð2h	ôó$1)üü<7¦móü½t¼>ïk5r÷Ëòúºª²	!¨;
>¶#µ1?¯dÈìlÉ¿×_¥-èµ{NmÅKåÓhÙjdWª±Âe³äKB!n&_ÏÂö#ÇãfðB«óÀ¯i34nz.eÍÈLO"óR5Ýñ'0ñÔÎ|òÑ{tìÐþ=:óæ_Ò¬]'æ}µOy°sÑè8}t¿5ø¸ÎÓA
B¥RqððÆ?3	G'>ÿ>áíCéG(ÿþo4Á­mÊðä3hÑ¢%ß.]Z­F§Î%!éînüïëoYüùR\5´lDòù3xú7Ç˯IÝ~á8%ª²rUÖ.Z%¶ÍP'ȱã'	kߥ?¦W÷.|ñ¿oñhÖѺ¤ädÆNHN^>ÎÎ.¸ê¼ª,N]Û¨ªÿZ´
¯vòÊLyåúß¿nÛϯ[÷9Æ(÷b÷^^üO^záy¯7S¦¿Îí;YVK 5[÷ѬmMâ©)oqà÷8¹¸Ò´Iõ_zN¹Édmçïåõµ¥Ô*Já(*ª*®"õÕþg¹þòÏ+WðÀ°Âë3h^¹Âæu(E§Û;R¯¨P¨úÃP­RpVÑÍ©ÊùJ~ùBú;²ÅÙÕ
ÎFÅbÆÁáú©&c×®\¿êস­88¹Ð²û§cö´mݤ3GðÆMg°É¾äh££SÙÍ[,ú{YóvtÖÐ2}ÇÏÞ>°v;²ïõ2lÞÚɳëõe:)râl2¡­yrìãÜ÷{8Ʀí{È6¹r-û
>>e¿ßæï"cío>Å®ré=|*lv­oW R©übqm4ðâèë÷Ùûå·uäͶíÚÁÉf·¢2xëìÚFm+í¿ò¾¯kÒ~¥çÔþ÷+g'Ò<ä¶*óû#~7®nò,ÎÖeÛ·ïÀ# YWspÓjÑéܸv&Áxè5L|â!Ú½ñ
>zÖ&óòðààîýökÉeéxÅb6£±dqÕ¢ÁÉÉUýH!n­CÛÏäVD3txÍߥ_S|c÷H­V]@¸
>#* 1ÛÌé+,
>tñuä±NÞôo©ÃßÝ
cKÙl;s%Gr8aÁY15ª_>¢!H»ES?/ÂBC]¿g'ëgqP@áé§ç.PPpýökf³­ÁgWWÞÖåÆü®f^F£q+³-:½{_T¶W¢*Ì[cæç]#óRºõïììkhõ8:_jT¨°Í,øß
>BhiÒöa¡ôêÖ];ò¯÷ò¹c.÷û¦ySÛso\zÝgç­bW¹òr²+l½¡°m,½I|n^®Ï-ÎʺÎ.ü£R©«,CñÅ6ªÚw@P¥ýWWíWÞZ7O?2/¥U_~~>®:wJüHÖÝúÌõvÏáñ¡}hÞÔ³ÙÌ©ÓgÈËϧCû0Ôj5&c~ûeñ²Æt¼R`Ìç?¯¿Ì?þ5Ì<W4Z¶B[4¨µýL6b¤ÍßCG°òÇ(e*
>T*ûGj{øZðPZ'T@¾Î_¾ÆK¹ôoçOe0wóI¶$æS `V,Í BÁC¹E V!n¦ø': ;û÷eí¦í¤G¡ÂÛ4£sh pDÐÑÙëÕ>½{²jã4nnthÀS§­ÉÅZ­F«Õ}U<Â¥(ÓiìOß>½Y·ò>rìxQÞy6éÔ¸h´¥s£';åçß6ãꨰrÙ¨T*\É&+#/ß²§¿0û3¶¯þÆ6èO:O@ _´»Êe6*lsIiÖkÞÇpøxѸ«{Wâ÷ÄYïUj;h´n(Rê;´¼2?uÆ®mäååV«ÿjÓ~ÖQà¢SµZÚÁ¡ÂülVÔ8::Ú.S«KF[ØîÅ?Ò,ýê[}ö;uâÿ±y]UýjO;44fsá4gÇý-!çW¶B[GñGzÏäaZ¯^ný{ج^^òË°ðÎʯ~|=ãÔtûö=ݺһ¥'èéäÁå«ù<·ú?̶¹@T1
&LY{Õ
>!ÄÍ´nÛ~Z5õ¤Ch[Þ5Ää4ñ÷ö`ÏÞý|óÝrܼÚ6Ò®-K¼£Þ§/û>
>g­õû!ùbþÞLxòoÜ3xN.¼ÿåOåÃbQXµ)gý?:´céÂ÷pptÆÛÓEQøüËÿáâêVÅ·ÝuÓ}+Ù׸§Ag]~öì9Ò/^ÃMg;Y¬Íí(Èϱþm4æÛu^E±«\
>Ûåè©:vðV|ºà?$$¦ ¨T4ñóÆÙÉ¿>=ʥͨ+)£mö<Ê£§èÚºÒm(³2Õm¿Çþ:³uÑèê{ÿýѺ_ ³¼J·;AP7=ò}ûôÆËË«Fýj±(5¾wó­ÔÖeÔȬ\ù³þ½«V[!Ä-Óª¾C?G¼~þ£¾Ç¢(üõ½uù°ù1ê{kàªRQîçv¹#µ%õ,¿\jÅê39xýÁ_Z¹ñL÷æÆ%°êl~¹T+ÚZRp²äKH+7ÑbæÃ¥?Ó½úÞMóf§:}Õ¿üÊ7ß-Gí¬ÁàÝgW5ÝK"iÞ¬û÷árF&K#¿áßÖáÔ¢9ßü¼ý»Ð²E3Ú¶nÀ¡¿Ö}`Ù D±pèÄ9fðC÷ ,¤ âÀ¡#|öùìü#ßfa889¶´M;÷ÓÌß À¦¨TjÎ;ϲï£Ø³o?þ-ÛoÌEíXöv-^Þw© ¦êQ¹FôÊ[VY»,üf=ÃÒ¿wøoää©ÓlÙº³G÷Ò¶Ûró¬lÜöoDÓÿöÖnÃÉÙ¹ZýWÓökÒ$Òcæ%·Q^~U°å,RD¯åÁA]iݪÅÌ´×f±è£wkÔ¯jNmQ]N8Ác=Ê·Ë1mÖä)¾8»ºÚÖ.õI"J´ÑQßÛ|ÜGG}o]?bäh¢£¾N?.çs[(G2øàH&x§Öwô-¼þZHÍ­(êVhbÎä.ãqôBÔÓĵ«Y\¼pk)È/<Å×ÉÕ­Á§0 uvÁàáçoMà½æñëæ]óȽr	ZÁ§)ï&è¸ÀRH:sü\ë|ÎÖ·õÆÝÓÝ¢ðjÒæ!¸jÜ0L\L:KFòòó®àìê»o;o]ÊM[zYâädg`*:eÙÉÙwzOÜ=}p,'@®{ÊPѲÊÚ%ûJ©çr-ó&S>*g-®:Ü}âíÛ=Vɳ:å2ªÜJ­®´µU\¦òTµÒõÉH»@òéC4¿o¿¦Ü¾c^z/¶îÎKiɤÚ1?'
Þ­I>uÀ&¯Ã;~±«Í[ùy|ùÞ´Z-:îÝ»óÅ_2yÆ\ô~8»H`+¨_¯=3À ¤&#bÔÃìË*|}É×89¹pêø!þ»ê°uý¥´$¢>[þH-3S¨çü°¨Õ´jÅBù2]óOá¨È(­BÔ'as[`6­ÃW;8àâªÁÕÕ­ÌuÔj´
>Ãb2c6P«T¸ju89_¿Ç¨»·?ÎÆ|먩 ÅlsjiñèZ­Â§I3tÞä­iç:8:V¶ô²&m:b1[/.¡vPãªqCíàPëÑ6{ÊPѲÊÚEãæFÓÖe·PJZí³«+
>ró¬N¹ìÙbQ*-gm>µ¸¤ª¶Qº>^ÍÐè½1ÖãzKáÅ,fܽ|pv½c.EÁÁAMë.ý¬?|(Åî>l,ëRPP@AAû÷ïgÒóϳ`ÁB&MbðÇÉÅUn÷#¨7Ö)µ
>D-_f}^ר¨p¤¶Ü«s2¹­à^ÎtiƵP¡(*@A¥(hȧMþZ$ã¨ÈLZ!¸898â¤ÓWzà[Z­mÒß
­­[×hµZÐjˤS[¹WP.~MyiK/pv*ÿjËuqõZ{ÊPY=+j'GGô
>Ên©0O{Ë¥X,Un£ªþ«ëö«NVW¢.³WWW\]]˶»FF£±ÍÐíú¼k''ìîÃÆ@)ªÉd¢  £ÑÈîÝ»ùÇ?¦0ÿÝ÷ø÷×qõÀÉÙE[!D½rvq­YP\«ÛFÓfç%D¦£Lw*G0ãnÊÆǺè_	h¢áxbʻܶ(<³±Z	ñgc)1oØh4ZGlÿýwÞ|ó
ýûu&¼27Ï&8:9K`+¸ùT*víÜXäU^ý¸êwsîdØ,S9BÉæTLÅ®ï!Ä­©äû·8 -n·nÝÊ¿ÿý¾ÿã_g¶BnêûßÞ|«©BÑx98¨p(q:ª|Ñp~ÿ´ÅÿoÞ¼NÇg¼É¸f ÷
>ÀÁÑI[!DWfNí¹C;Ù¶aµ´B!DóÝÂYÖçÅ£µ%Gmׯ_çN'<<k×®I£	!ýï£yøåµÆ¢Û>lÛ°´i-!B$;;ÛæoÅÑhÄl6M`` uN§ãر£Ø¿N;àää$
(hüiÒ¦sùA­Z-÷-B!h,¸÷Þ{ùé§X¶l}úôfÇö­èõzqvv¢y³fL&	j
Jqìj±XlZi!BF 00õë×ãééÉ5käùçãØÃôèq':*
>GG'\\\¤Á
JqìZÔª¯¯Pãà £µB!
Ypp07ndÍêUlÛ¶ñãÇsåÊþï4
DQîîiål=!Djmc×ëA­ÚµÖ
>!B4d6m"&æ'<<ôäçò¤I8::òùçÓ·o?;Nnn4¢áµ¥bW©B!h$,?­\¿¯ÝºvåöÛoc÷î]7ôôtìßOjZyyy("
&hAm©ØUæÔ
>!B4*o¿ùV­Ó¦uk¼¼<QE1ñòË/Ó»woÚ´mK|üNi,!DjmcWÇÑ®B!h\\¹³{WÑj4Ö¹²áíÃØ´q-É9|nݺâæ¦E¥RI£	!hP«® ¨ù´B!
ø Ͻ^J¥²	X]]]¹³û\»J¥ÂÍM³³³4¢á~Þ©e¤V!¢Ñ)Ì\îêêj½uÐ
>!|P[áH­Ì©B!hÔA¯B4 ¶Úº¸GÙ»¥vëp»4B!Ä_@0i)	5N_:v­óZ9HBÜ(¾þAÒB!
Øòᆰu7åêÇrà)Dãsî̱:ɧyË.¦^¨qúÚ¤B!
Ì©BÔ<°=]ûÀ¶yËiH!BQ ¶¢Zµ\ýøfyûí·yÿý÷ÉÏÏ'&&~ýúÙ,5k3gÎäÒ¥KÖ+ÞJöìÙCïÞ½oÙò«Mh§§urtB!µjKÅ®êÑnC­]·n½{÷Æ`0àééÉ°aÃ8räÈ-YÔÔTfÌÁêÕ«ÉÎΦ_¿~e½üòËdgg×yÀ8oÞ<Z·nm³lþüù¨T*~ûí7ë²ÜÜ\\]]YµjU¹ùtéÒÅZ¾øøxT*yyyòîú³P¶¨ö#)á´B!¨}P[*v½)AíÆ­÷N«ì±qãÆjç½jÕ*Î3Ï<ÃåËILLäÎ;ï¤W¯^:uê¦5¬½åHLLDQ:uêTé²aàÀ>}sçÎÙâááá¬[·ÎºlëÖ­X,úöí[&£ÑXçåºy/ûJ¦ÝËé)("&B!n`P«Vß°SûõëÇ
ðññaÃ
(b}\Þ¯_¿jç=yòd¦OΣ>££#Z­iÓ¦qß}÷ñÚk¯XG?ÿüsZ´h^¯gìر6£W¯^eܸqx{{ãááÁرcÉÉɱIEXXZ­®]»ràÀjcÅÜ}÷ÝøøøPî²Ò£ÙÙÙL8t:áááìÝ»·ÊrN&M¬¬ÙlfÓ¦M¼ñÆ6Aíºuë¸ë®»pss³%22víÚ¡×ëÙ±c*ÔÔTúôéc-»N§cáÂv·gÉ<M&¼;ÂàÔ¢Xì~& V!BÔAP[*v½i§÷ë×åËóàZGd7nÜÈ>ÈòåËkÐ^¸p£G2zôè2ëzè!~ýõWe¿üòâÄìÙ³3fX×=ñÄdddpæ̸páS§NµIÍöíÛÉÈÈ <<§zªZå>|8qqq¤§§Rî²ÒÆáCصkÙÙÙ¬\¹ooo»Ë]Ò¬ì®]»`èС?~kP;pà@t±±±ÄÇÇcѼHwww²gggóì³ÏÚ]®òò
"ª-üÏb±ûQÓJP+B!ê ¨­øôcuÞÖ§ªÀöõ×_¯U@[HøûûYçççÇ¥Kl½ñƸ¹¹À´iÓøú믭ùDGGóÎ;ï`0ÐëõL<o¿ýÖ&ý9sðððÀÅÅ	&_£rTÇÅùñÇ?>AA·JjÓ¦
ÁÁÁv»¤A±~ýzkð:`ÀèÙ³'6l ++Ý»w3hÐ t³gÏÆ`0 Ñhìê{ÊU<Å­Õ<ãBQ²²²:|$YYYeÖÿB!¢öA­mìzÓoéSØöï߿Ƨóññ ---[Ú¬KKK³fkÖ¬õyóæÍIMM®ÏiíÞ½ûõÃvEÁh4b)e*Pi4L&&©Ú娤¤$k [ZUåVs:ùÀIIIáðáì_¿gyþýû³nÝ:Ðh4Üyç6éj{ØÛÕÉSÜB!mQlZ²/¯\¹ÂÈQ£Ù½g/Ã#FýÃ÷8XFjB!Dݵ¶±«5êQ«ÕåA7*°-¾òomÂòåËˬ[¾|yÑÆóçÏÛ</R8|ø0dffEnn®]mRÝrTGÓ¦MʽèUMÊL»víeûöíôï߸~ZòºuëèÛ·¯Ý§«Tª:)hÁ­E±IDQ@°gÏ^"F&++ÓúhX!BZ(»ÖÛ-}ÜÜÜê$÷Þ{Y³fñí·ßb2ÈÉÉáwÞ!&&7ß|Óæµo¼ñ×®]#--9sæðÈ#§
:)S¦pùòeRRRX»ví
)GuøúúÁ/¾hµ=yò$			5.÷ÀùàhÛ¶-^^^@ámzRSSY¾|yù´)>}ú´uY]´§h8AmĨpÓj8 ¿õáæ¦åéÏc±¯µåü"B!DuÕëÚá **?þOOOÙ²e[¶l¡mÛ¶6¯<x0ááá´jÕ:0{ölëºÈÈHÜÜÜ		A¯×Ó·o_«×e9ªkÉ%´mÛÎ;£×ë6l5X¬I¹
DJJ
>°Ù1úôéCJJJµF[´hÁ³Ï>KÏ=ñðð`Ñ¢EuÒâÖU*Jáã×5±DG}Ï·ßDZÑQßóuä@U8@«*TÿÏæÀ´hb÷m¬öîÛ_@p]¼®óo3÷]fÌ|½A¼Gªû~7¶¿?_òóó¥a7!¨µ]Ur4!Í[w0ááûHKI¨QæGî&¬ÃíøúßZs%ããã¹ã;ÈÍÍÅÕÕUö!jàÜc;}Öí:ܪZN<vmBñõâbê¡6iº{î½­Vk³üî^=ù*òË[®ÍËtáL\!¼®ó»Û*áÜI\\\ä
[¯NIçÎxø¡eÿÒÆB:·qãFF?üxcN¿`>[¶5ë6õÙܹB;¸Vsì­4R{ìÈ~9è¢sÞ% âV:v­·9µB8Ã
>* IDATÓ§E±ûQÕÞòu+>}.&f½îîO³m4øÿ8rä(_|¹þïµIsþ|MP8ÎØqhÕ&°N¼:m&Æü+:=/%%Q£¡yËvôé7øø]6ë³³³yñ¥Év¤M»öLzárss+¬OUùUVVk×®1åÓhß¡-ZлÏ<Tn=JÚ\üüçXz÷@óí|Oa;®Yó+}ú
¢Y¶|Ç·«~õÍ+W:l$!ahÑ*/üO>ýÎ]î Y¶tº­-®°½*ª¯½ýZúÞ6ªhþúeÜÞ­-[2éW¬ýVºKçýܤÈÉɱ«}ª*½ýPºLö¾jºÔU¹.¤×ÝýiÙ:6íÚ3vÜÒÒ.VøÞ/ùIMM£}.üðC´uý¤^aDÄhÌfs¹Û«îçAM÷¹êÖ«&m'ÕjÙZ{tëÖ
EQäÔc!곫ÝTª5§6vÕjVÅ®ääñC¶ã¿ÿá8qÒz °ì»ïéÕ³ÁÁÓ.8	ûw±%n=Ûwìäwþm×v{þEt:7ÚKÔòe,_e³þ&EüÛÙ»ûw5{N󫪬ÏMzcG±ö·U=}ÿ-ýO/O»Û1&f?ÿü#'$44G~á§Q<~öaaL2µZõ+¯o=?­,¬Û±#û9{úOCBÂ^û×|<ïCÎ=ÁÖÍé×·wÅíUI}íé×êÖ÷FµQi6lbKÜ:vnßÌ3÷Ýr_÷ÂK¹|9ø?¶³g×ï$%&ñú³íjÊÊUÝ~¨Î>jÏ{·¢ý£®Ëݤi¾þj	gNeǶ8®^ÍfrÑgGUüýýødá<þùêt8ɲï³~Ã>ýdA5Ùj²ÏÕ¤^µés!°/¨­è>µj¥BØA¥b×Î
5IvËïØÅæïñO>ÁÔN±þ=}úTÜÝï³ûøc1ò!<Üݹï/÷òí²ïykö(²ï~`Ú«ÿ -í"7oaËæ
hµZ´Z-/½83ÿÅ̯VZ¦´´lÞ²Õ&ísÏ=Ãø	¸|ù2±±«Ù¶e#z½g'>ÅsÏ¿ÄÛo½Yíüª*ë¥KXµj
ÖýBÓ&MhÙ²/¦ÛÕÎ3gNÃÃÝÇý+ß}¿×bVØ,1rtµêWQßûó38yÎ;c0èiß>¬Ü×VV_{ûµ:õ½mTÚ?þ1¹L¹_ÿ×L×ç½9n½5ïç{çwç¾]iûTU®êôC}¸ï§êìu]î{_¿È¢/¿4GýÝK}úôæ§'0æoãHK»ÈÒ%ÿÅÏÏ·Fe¯«÷eMëU¶Û¸q£|¯
>ÑÔö¬uÔ]eNm7n­[·fúôéõäbXâæ9yt¯Ã¡{*Sëëãc}îêêÉdÂd2áèèÈ_ͳϿÈëÿÉ;¸r%!÷ßWt@P`Skúà @»ÀòÒ6½þ<99EQ¸÷¾!Öe¢`4`±XÊܺªüª*kJJªMàR%ÛÑÅÕ¥è ØÛfYqÛVU¿ªú¦<þþ~üwñ"þûùÌ=°°P¦Oû'½zö(óÚÊêko¿V§¾7¢*º¸=ûcqÞû¤uÉlB¥Ra±X*mªÊU~¨I»ÛóÞ-O];6v5ó,âô©Ó-f,¼¼¼
>O.ÏßÆ<ÎG}L×®·Óûî^¾Î}¡E«ëº³§Õhstt¬Q½ªÓv>ô|±
>ÑÔæuÔ]Kµ2R[lß¾}¼õÖ[lÚ´k×®¡ÑhèÖ­Ï>û,<ðÍkçϯ¯oÒÚ¦BÜ\}ûöÆÅÅ_ýØÕk1|õ$???.$&Ñ®m¢çøúúToyiîM]rý¸
ø×Y~µxgÏ+3Âââìα,þqàâŵj×êÖ¯´No¿ÿþû¸ÿþû0|4ïcÆ=ù4Çýa¦²úÖ¦_ëRMÛ¨t¹K0¥óúau$¶ºíSY¹ìíÕîåíuYîÔÔ4Æ?5æqÿÿýggg6oÙÊÈQ£(]ïÅÂs^dð=óß¿ùö;ùëC5ÞJ²5UU½*coÛÝ*ÈB¥tì**%..Þ½{s×]wqäȲ³³9}ú4ãÇ'66¶Ìë'MÄ;ï¼SãíÙ^îÁ'Ä­õ!:úÁQ|öß/]Í_KtúùùÒûî^Ì}ç=rssIOOç£yxpÔH;_zõìa¶äU|}}ø˽yãÍÙddf§gÆÅm®Q~UÕÛÛûï¿é3þe¥;sæ,II´jÕAÏ_þ³ÙLbRþg~­Úµºõ+Í˳pnçÙsç­ËÎO .n3ÆqÓºUø=WY}kÓ¯u©¦môï@NNµÜ##FT÷ë¯Ï"##£LÞµOUåªN?ÞëªÝËÛ?ê²ÜÅ#îÎÎÎ\HLäý÷ÿc]oÏ{æçÌùÿáÓO0cæë=zì¼_ìUU½*RÓ>Bê{¡(QèùçgêÔ©¼òÊ+xyy ×ë9r$|òõuW¯^eܸqx{{ãááÁ1c¸víPx*°J¥"**°°0´Z-]»våÀÕJI»víÐëõL&>ùäÂÂÂÐëõxxxAJJtÕT|ÔâÇ ÁÿW­ô}x4Û¶ï Y³`nïrͺEçc2ïx;½îîÏݺòêÔ)vå»`ÁGdefÚ¾3£fÔHÛàcÁÇóÐjµôèÙ­C6b®Ì\üª*ëü> U«ôp-[2æoãÈÌÈÄÅÅIJᄃU0ÿL#JÕQÝúÄcÇpÿa´i×%K")((àí¹ïZÔßQ?®à³Å+Ì£¢úÖ¶_ëRMÚ¨oß>ÜÝg ݺ÷"44¤Âr/øxz½½úweíSY¹ªÛuõ~ªjÿ¨Ër7oÞ3^å¹I/Ѳu(O>ù4#µ®¯ê=³yËV.úÏÿû)Z­=îâùç&òäøgl®@]Wï{UU¯Ô¦Ï¢&Tr4!£Eo>èÎß÷ÈÁÝu¸_ÿ ÙqêÔ)ZµjUékGÑh䫯¾`Ø°a±páBëüÖGy Ñh0a'N`ûöív§è¡X¼x1NNNh4bbb£uëÖ¤¥¥ñÈ# Õjùé§dN­¸áÎ9ƹZÎVüùPÓÓÍjV?½ûösϽ÷pîd¹/ó½û¸÷/CHL8£t¢B4B7ndôÃ×8æôfÅÚD~÷#QÍÚÒÓ/>Q<W ::ÜÝÝquuÅl6Ntt4ï¼óÁÀ)Søþûïmò3g¸¸¸0aÂâãã­Û±'ýìÙ³1h4BëÖ­­e>}:k×®BÑ(<x&M$ BQ-ò­QOÑÓÒÒÐé
>/ADDu$TQQáÃ[/>a2]¿J¤õWÁ±F£±^MÐÞôAA¶#ÞÑÑѼûî»?~³ÙÅb!77·ZWVB!nEÏ¿ð26l¬ò4B!µ$<<eË1mÚ´
>_ÀºuëÊö¨IúäädFÍW_}Å#pqqaýúõ8°Ê+
>!øó¹­s§ÚU>÷¡tBÓK?>sæÌá>àòåËäççóÇX_ãïïÏСCùûßÿÎ¥KHII±ûTà¤/->ùüùó¼ù¦ü-B! Vпâââضm¡¡¡èõzùùçY±bÛëkúöíksuãªT7}«V­;w.cÆA¯×3jÔ(~øaé0!B!Ä\ýXa¹ú±B!¨-¹ú±B!BQµB!B!$¨B!B!$¨B!B!$¨½±Þ~ûm¼½½Ñétlܸ±Ì²?üNG~~~¥ùÄÇÇ£R©ÈËËFB!B	jëÆ[o½J¥béÒ¥eÖ¥¦¦2cÆV¯^Mvv6ýúõ+³ìå_&;;iL!B! öæ±X,|öÙgtîÜÅY¢(têÔ©ÒeõÁh4J
>!B!$¨ý3ûå_HOOç믿fûöí<xкnÅÜ}÷ÝøøøPî²Ò§ggg3qâDüýýÑét³wï^k¾±±±¡ÕjéÚµ+°®»zõ*ãÆÃÛÛÆKNNpýôåÈÈHÚµk^¯Çd2I'
>!B!$¨ý³Z¼x1#F <<Þ½{óé§Z×
>¸¸8ÒÓÓIII)wYicÆáСCìÚµììlV®\···u}tt4Û·o'##ððpzê)ëº'xÎ9CBB.\`êÔ©6ùÇÆÆOff&ÒB!BÜ¢
>L¦z}46ýDLL±±±<þøãL2wß}FS£</^¼È?þÈÞ½{	
>
> M6@áü\9sæàááÀ	0`5HæèÑ£&OÌ1c7ou³g϶®Bqë:rp·4B4ban·ëuM[ÔKùâwl y˶Ô6fþ9¾¾¾8|I&ñÝwß1vìØÊ%ÙòøùùYk4L&&É:W·{÷îÖõ¢`4±X,ÖeÅÁ²B[_C¥¢ºzÁ¾*
>ײ³njùòóçWäôã,þ9.]"00BBB0L6§ WWÓ¦M8uêTµÓpøða233ÉÌÌ$++ÜÜ\Ôjé>!B!*EQnêÿ ¶ÑZ³f
			lÛ¶½{÷Z111ìرÃæâMÕáëëKDD/¾ø¢uÔöäÉ$$$TÖßß¡C2eÊ._¾@JJ
>k×®B!¢!³õÔ*%·.Am£ôé§2|øpºvíJ@@õqï½÷Ò£GZÖ.Y²¶mÛÒ¹sgôz=Ã
³©UÄÍÍôz=}ûö­q-B!¸5ÂÚ?RÛ(cZS[ÒÊ++\·mÛ6ëónݺ¶/½¬ôßz½Å{ßÛªò2¦-¯,B!B[>¦µÎ­½¹Z!Õ°wß~üÉÏÏçÀ´hÑh¬÷òÈý¬«ïfö_é{ßÅÛ¬é¾QU÷ìÙN§#??ÿ¦I!nùØVFj%¨B[Á¾ý3öIBÂ:Ѽe;nïÖW§Í,3Å cÇ=}ggç:
ÅÍQýWßl}èÒ¥ÙÙÙ¸¸¸ÈÎ$õÔÿ V!ÕÖmÛ>âAzßÝøß·qîÌq~ZùZ­½{÷K5ÆiÊÚ§£×õyöBÔK0+sj%¨B[Å«ÓfòâÏ1aü8ôzAÌñ*ô³yméÑÕììl^|i2!¡iÓ®=^xÜÜ\×ÆĬ¢×ÝýiÖ¢-ÿGåÊ«6°N´hÂKþWnùRRR5ú·lG~ße³¾²2V\¦cbéÝgÍ[¶cð=eZ³æWúôD³m8ø>;n÷6>ùô3:w¹f-ÚÒé¶n,\´Ø®uKFÒëîþ´lJví;nii­ë9êakÝÿûù6§^ÛÓþËGqWÏ>´j®]»íî?{eeeѧO|||Ðét,\¸Ðº>66°°0´Z-]»vµ^$°¼Ñݧê?*7=ÞC}ðàÁ¸¹¹Ñ±cG¶oßnS¶«W¯2nÜ8¼½½ñðð`ìرäääØl+22víÚ¡×ë­íúõ×_Ó¢Eôz=cǵ±d+J_U¢EµõÔ*2§VPõ 6ÿçí·ßÆÛÛNÇÆ¥¨T=ÆáÃjþ&EüÛÙ»ûw5{ÍkbW­fUìJN?DHh;^ùû?1ôü´2
>cGösöô1;¦Üm<÷üètn9´¨åËX¾<ªÚe(-&f?ÿü#'$44G~á§Q<~öaaL2Õ®m$$\ൽÉÇó>äüÙlݼ~}{W¹ IÓ&|ýÕÎ:Êmq\½Íä¿ÿÓºþÙg_ÀËË£÷ýÃ2¢¢WT»î¿­]Ço¿¬âäÃ88:ÖºíJsww'..ôôt²³³yöÙg­ë£££Ù¾};óÔSOU+ÿÊÒ?þøãèõzÒÒÒX»v-6ixâ	2228sæ			\¸p©S§Úî±±ÄÇÇcQûüòË/:t'N°gÏfÌQaùJ§¯ªLBÑèbÛz© öOã­·ÞB¥R±téRåiNPjj*3fÌ`õêÕdggÓ¯_¿[¢\ùe¢á»té>>ÞÕN{ùòebcWóÚièõ:t:ÏN|èm¯Â>}úTÜÝ
8;;óøc°oý§4§¥]dó­L{õhµZ|}}xî¹gª]Òfλ;ÎÎÎ<öè_¹pá¯Ín³l÷î=vmÃÙÙN<Å+WÑëu´oVå:{¢EæE}àÃË/MbSÜfkÝ·mßÁÔþFÏN|ªÚuuê?Ðëu¸ººÖ¨ÿjkÎ9xxxàââÂ	¯ô)))¬_¿·Þz777üýý2e5]zz:ÑÑѼóÎ;ôz='OæÛo¿µÉöìÙ4uÙo¼L6¯¿þºÂòL_U¢Qµ7ù_c%·ô)Åbá³Ï>£sçÎ,^¼¿ýío²(B§NjÞh4ÖùShH¼¼¼Û˸¹¹U+mrr
>¢pï}C®±)
>FcźÌ×ÇÇúÜÕÕÉd÷ iii6µ.lÚÔî2¨ÕåÿîY²L.®.e{Wk9«Ú¿¿ÿ]¼ÿ~þ%³fÏ!,,éÓþI¯=*]»ùqúÔiÌ3B^^f³ÙZ÷&MjT÷bM6©QÿUÔvÕåççg}®ÑhªÕÿ¥OII Y³fÖõÁÁÁe¾ºwï^ª~Fö	
>
>*³Íy6oÞÔÔÔ
>ËW2}UeBÆÕZnîöTjP©]3ÊHm9~ùåÒÓÓùúë¯Ù¾};´®+=X9I~ø!AAAhµZyÿý÷+,×'|BXXz½"""¬Uͯ*mÅÜ}÷ÝE£>X#""0øøø0iÒ$ë<ʵcÇT*?üðááḹ¹Ñ­[78ÀÊ+éر#Z­Ûo¿CUYÊæUV.0pà@k_Ì?ߦþUõÕÕ¤I¡¡!ü¸¢ú£sÅÁƸ
<~ÇsêÄδ+ RÙñT¼Iפ¤:+C]ÕóþûïãÇèï9vd?ýûõaÜO[ÓW´.55ñOMäé§ÆsðÀnN8Âÿ~n
¾|}}­Ág±¤¤ä:«{]¶ªÅgegg[U<Vüþüyë²2ë>Lff&dee[eýJæyþüyÀº6eBFÅúѯÜÜ
>THPû§°xñbFAxx8½{÷æÓO?­ðµµtöìY^yå.]JNNGaðàÁn+((®^½ÊñãǹråJµçW>|¸Í<®âàðG):LæСCÄÅÅñÚk¯Ù¤-oUTT[¶láòåËtèÐxåËGFF:uâ駮².Í/«ªþ=ö>>>\¼xuëÖñÍ7ßØÝBÔÔ·gñѼ|ñåRkÌ[o¿Ã
*LçëëÃ_îÌoÎ&#3³èG¥Ä>[/OÏÂÏsç+	¼|éÕ³sßyÜÜ\ÒÓÓm.´TÛ2Ø£ªm?@\Üf8::â¦uÃÁÁ¡ÊuÅ#²îÂS³/$&òþûÿ±n×ßßwÝÉ{ÿþ¼¼<._¾ÌÂOê®îuÙvÞޣܧO¶;MÛ¶mqwwgáÂÍfxë­·ªÔöë×3gCZZͪþþþ:)S¦XoMÂÚµk«Ìû7ÞàÚµk¤¥¥1gÎë÷JmË$+¦-,¥êÇþýiÞ2ü|£]Wö°
¨%¨m´áñÇ·­_}õU¹W´¬í$8zô(YYYJO2d­[·.:Xõcúôév`Ø+%%uëÖÙÔgÚ´ieæ7êwÞÁÓÓÆϹsçx÷Ýwmíܹ³Vu©,MJJ
>6mbÖ¬YhµZüüü<y²Ý}!DMõêÙ£¿gãÆMt½£'-Z0ä®]»Æm·U~jÿç¡Õjéѳ/-[2lÄ(9j×vxbìî26íÚ³dIùÔY°à#²2³mßQ3jä:+½*ÛFAAoÏ}Т«8Gý¸Ï/¬r]óæÍ9ãUô-[òäO3bøÐ2uOMM#$¬Ã#F3lèT*50®mÝëªíZ´hÁ³Ï>KÏ=ñðð`Ñ¢EU¦quu%22%K`0xðÁ7n\µ¶IFF¾¾¾8G}´Ìz777BBBÐëõôíÛ×æêÉ<x0ááá´jÕ:0{öì:+B46ö\Ü©CpÎ:]WöPýk|?r4!£E·_>èNÒRjvºÏ»	ëp;¾þA
¶AfÍÅ¢EHHHÀÁÁ¬¬,X´hcÇ%>>;î¸ÜÜ\=j½pTñ|º;vУG
>
>
>8tè·Ývîîî6;®ÑhäÚµk¨Õj¢££?>ñññtìØ·ß~»Â6EGGóî»ïrüøqÌf3ììlL&{ö챫ø&Åe-(å(­d]\]]Ù»wo¹õéÙ³'¥ÌëËË£¢í^VݺTUÿ)ûÎ;¹ë®»ìîQ¹sgqîô±ZåQüùp1õBÒ×&­?®ø¯½ÎÁý»ëµGî¦ÏÀ¡Ò!BÑÙ{b4	nEjÊùZ>'GgN?HËÖ¡õÖF7ndôÃ×8æôfÅÚÂÁ²Èï~$ê³¹2R[ÅbáóÏ?çÒ¥K@HH&©ÜSëbNRDD6l =={î¹Q£F[¶äädFÍK/½Drr2YYY¬\¹ÒÕv~UEõ9þ<þþþuÚÎUÕ¥¼ùeU¥).cbb¢5ͪÕBÔäCµª¨?ÇOäØñEÍøÏGóy`ÈýÒ0B!ê_ñáîMR[¸iSÛ¨­Y³¶mÛÆÞ½{­vìØQæ´«ÚÎI:sæk×®Åh4âääN§³WZnn.f³ÙzkóçÏóæoZ××v~Uq}`S9sæXOÅ®+UÕ¥¼ùeU¥iÒ¤	}úôáõ×_·Î¬«ùaBT$-%¡Ê¨?W²²xô±¿Ñ¼e;ú·uîÄ̯JÃ!¸u¢Z{&ÕÖå£d@-Amãôé§2|øpºvíJ@@õqï½÷Ò£GrGkk3'©  3fX¯òûÍ7ßðÝwß[¶V­Z1wî\Æ^¯gÔ¨Q<üðÃÖõu1¿
>à믿Æd2@XX={ödÖ¬YuÚÎUÕ¥¼ùeU¥)nëääd|||èß¿?£G¶?WÓùaB©[·®Äÿ¾sgsüØA>úÏûhµZi!·JH{ójU3ª9µ¢ÑZ¶l/¿ü2ÉÉÉÒu@æÔ
>Q7dN­B4^ö§Ð4¨%)gojù]5>qæ-ÛÖ[Ý9µ²ëFs xä¢Ð¾}{Î=ËÛo¿]áe!B!êMÑ5d\\5Òu@ZÑhdffòè£ÃgîܹÒ0B[q b×ÎõO7¾Ó%¨F=l..%·¢°·K#!Ä£#ÍZ´¨#r¡(!B!ÔþÙíÙ³Ä1 IDATNG~~>ñññ¨T*òòòl!B! öÛ·o£GÆßßN¯¯/÷Ýw?ÿüsiºtéBvv6...ÒB!B!Amý£wïÞÜu×]9rììlN>Íøñã-7ÑhB!B	jëßóÏ?ÏÔ©SyåWðòò@¯×3räH>ùäë)Å´k×½^Ï;ì:ÍøêÕ«7ooo<<<;v,999ÒðB!D#ã\éC!DÝ«ÈX±b]¯%>>''':dW'x³ÙÌ3gP©T1©S§2oÞ<é!¢³uùº¤¥$Hc!µ¶ÒÓÓ¿düü¬Ë¢££7n¢Ïµk׬ëfÏÁ`¨VþÑÑÑ=zÔnòäÉ3FZ!âOÐÖç¶$BHPÛùøø~ا¥¡Óé ""øøxî¸ãE±¾>((¨Zù'&&¢(
>Ý»w·.S£ÑÅbA­³Áa9¢±¬¥ß»õ}êqyÛÏ!µD`` ááá,[¶iÓ¦Õyþ>|¦MJ!ªukï°
>qãÕÚ¼kû½e@W!Am#2þ|««+cÇÅËËüü|þøãZçíïïÏСC2e
>óçÏÇËË<È A¤ñê°$6$7òýUÓ¼«Û7è
>!$¨m ú÷ïO\\o½õsçÎ%77FC·nÝX±bµk²ÈÈHþþ÷¿B^^M6åg V	*<h¼QABuó­N¹*:ð­Q±]º:È¿ÚFÔúXov¹%ÐBHPÛHuéÒ~ø¡Âõݺu³[[zYEÏ/fñâÅÒÐB»ë+X«MþõÕWÖ?	No *®BHP+·L QÛ@{ÒKp#$Hè
>!$¨BQçm}¬ÖUjg]ÜÖ×mMnTÞ§3K0"$ÐBHP+¢ÒÀú8°+ÞfMæÆÞJÁO}ßêã,èʾ* V!$ àGÑ`ÝâõòY$¨)µ4AÝG¥RÇ={Ðétäççÿ)ÛÀd2ÝÔ<ÇÏG}tCëVUÞº×tÿ«­ÑÐJ@)øóº%ÕýB	jkèt:t:2'OV;¯.]ºË-p76`õêÕL8ñnçföi}÷×k¯½Æo¾É+Wä¡ÙæI@+ø3¹ÕùÌB	j«)==ììlÎ9§§'£GF¹	FcÒÍ7Ç{gggiÄ:Ò¬Y3ºuëÆ%K¤1jÐVt@'Ü&ÔË=­Ôþ©xzzòÌ3Ï°oß¾ëÀiiDDD`0ðññaÒ¤Iåc¥GÚ²³³8q"þþþèt:ÂÃÃÙ»w/W¯^eܸqx{{ãááÁرcÉÉɱæõáV«%00÷ß¿Â2÷Ú¬¬,úôé:ðÉ'^¯ÇÃÃRRRlêEXXZ­®]»ràÀëö<x0nnntìØíÛ·ÛÇüÿ½{«ªNôÿÿÂK(ûÂ.n[ÅK¡v¼dÅLQ£iêQküe©9yiüqF­çèì´zF§qø6ißÁì¢h
>(Q@¶ ¸aÿþð°-·½óö~>âñ µÖç³>ëóY,×ÏÚÍFÏ=1L8Fë¬Éétòßÿýß1ÂýÊFÆ©¡ñ¨oݵcÚX;×ú¶©ãu­æW#F`ûöíºx\ëûR ñ,Ü*ØBíurîÜ9Ö­[Ç\ËÆ@nn.iii¤¤¤°páÂFë4iiii8p»ÝÎ;`Ê)Ivv6999Ì;'OòÚk¯±qãFÊÊÊ8zôh­W­¾mýýýIIIþ9=sæLBCCÙ¹s'¥¥¥?~.0cÆ·zØ·oEEE»­8q"&±Ùlne=©×®]¤¦¦R\\L6m­³¦
>
>
>xðÁÝ76N
GCëjj¬
kC}ÛÜñòdÿW}úôá믿֠@ëÍM­w×H[ñÞ~\«Õ
>¯¯/O<ñ|ò	yyy$%%qäÈyóæ1{ölâããë­ïìÙ³lÛ¶o¾ùÐÐPî¿ÿ~WhIHH ==³ÙÀ9s4i¿ýíoñõõ¥uëÖ¤§§3pà@üýýéÛ·oûñfÛj#Güç?ÁÁÌ?gyÆm¸¸8,Ó§OgèС®þسg[ÄÆƺ=®íIýK.u»'uÖTTTà*ïÉ854
­ËÏÏwÛGCíll\ëÛæWKWf³ªªªhÕJ¿ÿjÎM¬ç×Ëk¯±ú³?"¢PÛyyy´k×®ÎåpõóÕºvíêvêræÌ·pTÓéÓ§q:4ȵÌétRQQAUU:tàO>aõêÕÌ;>}ú°|ùr"##kÕåͶÕX¹r%ǧ²²ªª*ÊËË©¬¬tOÕÚ·oÃáÀápÔÙ;wöºþêðX__[gMwß}7.\Àh4z4N
GCë;j¶³±qm¬o3^-u^]¸pZ­n¸DD×BÏB«­´4Ý­z¡z7++˵,++ËuìØï¾û®Þ:9Bqq1ÅÅÅP^^î
>ÑÑÑìÝ»ÂÂBzê)ÆSï¾êÛÖÇǧֶ¹¹¹ÄÄÄ0{ölrss)))aÇ®ÔþÈÎÎnVýÕy­ÐÐP8räÇãÔÐx4´Îvz2®
iîxµÄyuøðaúõë§|Z½zò=,"
>µ×1Ô:·Þz²²2
>
>
>câÄ

>
>"::W^yÅ5xâÄ	²³³			aÔ¨QÄÆÆrþüyàê,`bb"$&&RQQAÛ¶m1´nݺÎý4´mõgB322\ÛWÏðY,|}}ÉÊÊbñâÅ^õGdd¤[Ô|ÙPSêo¬ÎºÂߨQ£\ýåÉ854
­ó¦kc;^-q^ýõ¯%**J?øèÏòÜÀ[ß6""
>µÍ´iÓ&V«°°0"""X²dI£å6lØ@=xè¡0L=Ú6l6^½za22dë
ÃW®\aÁ®·ànÞ¼?þ¸Î}4´m·nÝ9s&X,Ö®]K÷îÝgÒ¤IL&Æøqã¼êÍFQQAAA6	&¸Ö5µþê¬ËË/¿Ì|àövãÆÆ©¡ñhh7ílh\ÓãÕó*;;¿ÿýïL<Y7Y©:ovTóéÙE¤;@ÔðG|³vôð×õîOPH¨zV¾WÓ¦M£O>¼òÊ+ê0}útÂÃÃ={¶kÙ©ÌcÊ8Ö¬z«¯gósT¾9ehED®Ï5ñFѵXäÖL̸Mþ¶vf{âWØ>ÞÆÖ÷ãõ¢(¹=üÇü:¡½ÿþûºy«çqcñ<t^Ï ¬GH5ZoÎDDÄ»kcõúënlED¡VDDVDä_GzlED¡VDDDDnÊЫB'ôöãìàÁF._¾¬ÎiBÖEj奦¦âããÃ¥K¾·}öë׻ݯ¯¯@ä&¡#]§ED¡V<PóïªÞÎû;Ûßþ¶`kgÎ;ß"Û4ké¸ït°mbÀÃÒ¡W!åfg¹qô9ZQ¨mDõ¬í§~Jxx8rèÐ!vìØA>}ðóó£ÿþ¤¥¥¹Y¿~=ݺuÃd21yòd×ÌoõzÍFÏ=1Lìß¿ß5;Ü}2uêT°X,L<²²²z÷ép84À"õ¸öÆÚ¦Ì'6ý%x°/Ö]éÖQQcHÚ³WÛÀ¡à{îVgÜAüû¹¹¹Ä¾ñ&³~>ÿ9øÿ8ôùf[Íà(ÔJ¶nÝÊ_|ÁùóçéÝ»7Ï>û,[¶l!%%¢¢"úöíË/¾èVf÷îݤ¥¥ñí·ßrðàA,Xà¶~×®]¤¦¦R\\L6m½Ï)S¦PTTDff&ÙÙÙäää0wî\¯ö)"ÍséÒ%¢ýâE6Ù6rðÀ~>ÝòÏ>óãî&ôfüÅÖ]wÝEHp0>>>:î'OÂét5úY¬V+!ÁÁêi4´(Ô6Á+¸ûî»ñõõeÚ´i:u+Wº-ûꫯÜÊ,Z´ÁÕjeÞ¼ylÚ´ÉmýÒ¥K1Í´oß¾Ùû,,,$!!+V`61LÌ3?üЫ}Hófi§!77ñË0 :t Oïp¦OJôsQ@Ý£^;ûRýÿ§ü_~üÌhB»ÜG¿ðëÿËmÞn´§~8¡÷²gO2ï¿ÿ<1¡÷Ò÷_&~ů©¬¬tÝøøþ°vìJ²îÝ÷=ZW:Ä°?¢SçîxúNø®V;«ûÆápðË·ðÀ}ézo43¹¹µÂycÛxrÕûÞüy½í«Kcõ6¥Lu[öìMføS?&´Ë}üðÇÏyò$dÄÓÏÚå>F<ý-~Ïý$½z×zñ7cîp8X·ú=LÇÐ{y4b06¹ÿ»4ú¹±ô| O/ùñô\hlUUU¬þÝ=ò8Cï¥wßüúU^ÿlÞêcs³_òÂ'ÍÖ¦ì»ÀÖøÍq»víê\æp8Üf>ºtéâú¾k×®äçç»ÕÚbû<}ú4N§A¹Ö;N***¨ªªòx"Ò<Õ³LÛwü?Ñì'"Þxc-$<üA?ÿ¹o¾ãú¯MÚnÙòx.yÎ;ãççÇÊ_ýmÛw°lÉ"ÂÂàÛ'xmÎTVV2Þ/ÈÊÊ&ö7?o.ÑÏæܹsäç4¸®!¿þõ*VÄ/ÃßlæåW^ãõ7æ²=aKÛ.|{1Û·ÿ7ÿ¾êÂÃdÏÞdÞZø¶×Û4vMm7õ6¥Ì¯~õâ/ánWfÏaúâ/ÅßßÌ+³çûÆlýô£=Îÿ\ÿSÿmûþö9FÑUÆÛ1¿àü÷wò~ók×¹ù7àÓªëܬo_M9<ÙßÒeñØ>ØÌÊøeô0gÏ%ýØq¯6oõ±¹U~©("¢P{eeeæú>ø:>ReµZ8rä;vTç´Ð
·¼uîʲ%Xº<U«þÞ½Ãéß¿ÏEâ_þå!¯Û3gÎl~zÏOOFÆI~÷ûµµÂª§Ûýâ×x²²r~÷ûµlýô#8;0Þ/ûæ[Ì÷ο:c5|øP:w¥sçþb¬¡u
ysîÐ^ÎK3gáp8jý ´´?`Õo~å:¶I'ɵïz¼'ÇÙöy[oSÊÌ{ó®í^1i3~Æoÿú¹½ø³SYYÉåË-vw[,àïïߤ1¿pá¶6óVýºÖ¹¹úwk\çf}ûòö\ðdv»÷Þ_ϯVÆñÜs£èÔ©c~6oå±¹ÃlA^¶±B­´¤E±~ýz.^¼H\\ãÇ¿nû
>		aÔ¨QÄÆƲzõjî¹çòòò8|ø0Ã×`|¦OÊOþ}_qèða¾ür?k×½ÇÅ¿äÅÓ¼ª+â±Gkýÿï~¿Ë/»ý	0O·{è¡>®ï;Æ¥KóS·²U\¾|ûÅôîοüËCý~j8?|ú)yæG´nݺÁu
éÕ«§ëûÀÀ@*++)++Ãl6»m÷í·'¸råJ­c{ü® ãÉ6§Ñ`ðº}ÞÖÛ2<ÐËõ}@@@­öPYYÉÅùî»ër5y3æß~ûÃãs³!ïïøño©¨¨àÇÐìó[yln0Û£
¶vÖçqEj¥9FAxx8<÷Üs,]ºôºîÏf³ñúë¯Ó«W/.]ºDÇyé¥jExsÕ!£ÑÈÃ1b¯½ú
>ïüæÿÿ+¦OJ]ï@ªù1<}a§Ûµm{W}:øèêµ­_ûö´jÕ]ÜÆÞ½³go2sbç²5a;7ümÚ´©w]CZµªý§ÓÙ¬ckhO³)íó¶ÞjK}í»^Çév³ÐÄ1o)×ûbÞüljlvmõôºª *"
>µÍ4pà@×?5¿¯k}CË&LÀ¿ýÛ¿5XKîÓl6óÞ{ïñÞ{ïy´Oùþ<ø`Ëʸrå
>&	¸ú¸`@À=¤§«³Üûö3vL´ëÿ÷íßÏý÷ßWkËÓíjêõ@O|}}9}ú4>2¨ ܧÎSO
'â±G6ãgÓ¾}û×5W÷Ó¶mÛZÇö·/÷yµ§Çé­¦Ô{½ÚÒÒu·nݪÞ@çé÷ìy?mÚ´áË}ûû·sµ±s³)ç'ûëÙ³wÝuÿ÷¿ñÓq1µöãÍÏæ­<67ºfi["ÌêdZ;RKÍÒ~õÿþÎúÿÜÀ¨gGòàà{/Geñåö$¾¾¾ôêÕ{î¹w~óïÌ{ó
¾=q÷ÿã?ë¬ï×ï¬ÂâïÏñùç)¼÷þ¿|I·«Éh0ðò¬¼9o!U<öè#\q\áÿsß}Çës^åë¯òõÁo2ø	Z·iÍî¿ü«ÕJ»ví\×L&&Nàí·`ñ÷',ì>ÿ<>þÄ«m<9ΦhJ½×«--]wõKÿ¼û¯>îñjÌ]c³èêØ?Hròç¼÷þzV®X~ýÎög41ýßøåÛKhß®?<Ðõ¢¨qÿ:Ö«Í[ylnôµ¶¾Ðy½fgõ²B­x¡[×.øÍÄůäÔ©,ªªªèر?|ú)~ñÆàêßb]»f5¿øÅ|"dР¼þú«ü|ÖìZõÅÇ-eÅÊ_søðX¸`&ü´ÉÛ]+öõ×		aÍu¼úZ,mÛ¶¡W¯^L|þ§®°ëO±lù
>._¾Lß¾½ÙðïáããÓາxÑBÚ´iÃÏ_Myù%""eñ¢_òÿýü¯¶iì8ª)õ^¯¶´dÝ¡¡xsn,˯`ö«¯ãt:)ÈËözÌ.yÉÄëo¼Iaa!]ºt&>nI­µÔ¹àÉþÌÙlfɲ8N>Cpp0_xÞëÍ[}ln¦_"^Ï@+"wÀ]äz­}ÔðG|9zøkÂz÷'(D>Fävs*ó§2÷8^õõál~NÊ7§¬'7X7ÃÍÕßþ¶ç~ÃÑ´ÿq=ÙíDDnd(mBÕWG}åòY^ùþ$''3nb>­Ùø¶·±õýxZ©[EDDDäz¨ï¦UaSDZBmJMMÅÇÇK.5i½Èíl¯ýú¾èÅQ"w}¦¶£Ñèú¾ªªòòr5þ~ÝnW'Èuõ<æÑ
§Û(ÔÞAjÖÔÔT~øaiÓFÝ$"""r-ofB¿¯_ÄéOûÜyôø±Ö­[GXX&	ÅBtt4yyynÛlÚ´nݺa2<yr½2uêT°X,L<²²2öU×£ÌÕËJDDDn¹lí\ëëûÞ"¢P{G

eçÎrüøq.\¸À3ܶٽ{7iii|ûí·<xÔY×)S(**"33ììlrrr;w®Wû¦Óã»""ß°mèKDD¡ö{0räHî»ï¾«æà`æÏObb¢Û6-Â`0`µZ7o6mªUOaa!			¬X±³ÙÉdbÎ9|øá^íKDDDDÜé"w}XÔK			¬\¹ãÇSYYéz¡Tee¥k.]º¸¾ïÚµ+ùùùµê9}ú4N§A¹9N***¨ªª¢U«VíKDDDDDD¡V<KLL|ðÏ=÷¾¾¾ìÙ³aÃát:]Ûeeeæú>88¸V]V«#GбcG¯÷åëë\}¹U»víêÏ"â¹`kgýv_D¤Þ^õ8±|_ôø±ªgI-¾¾¾dee±xñâZÛ-Z´/RPP@\\ãǯµMHH£F"66óçÏçz¼¸±}õèÑÖ¬YCee%ÙÙÙ,[¶L$"""·dn¨ù·nED¡ö¶Ò½{wâãã4i&1cÆ0nܸZÛ1ððpºwïNïÞ½YºtiõÙl6½zõÂd21dÈ:äѾڵkÍfcÃ
ÍfÆËÔ©S5H"7è¦KDD<¤ÓºFkÖXäöæ8Ó³H?v¨á4ùrôð×õîOPH¨zVä6s*ó§25«êëÃÙü&oNYOovrEDn×Y]ßEnÉÉÉÄØäÉ`kg¶'~íãml}?^3µ""""""rëR¨©A¨Ü~×rÍÒ(Ô(ÔÜ®ý
¾fkEDn]¥Q¨ë$55Äh4rùòe×úåËÑhdÕªUµÖ·ºö-"ßBí-<|ðA·åv»£Ñè
>¥ÍÕ¯_?ìv;¾¾¾äçç³`Á>ûì3ìv;¯¾úªÛúæÏ¥KêÝ·\U×oòlEDn¿k»(ÔÞ*++ùûßÿîúÿ­[·Ò©S§ë¶¿Ó§Oãt:éÛ·¯:_ä&¶
>·""·]¯EjåM4?üá®ÿß°a/¼ðûÍoAÑÑÑÍf5k®õgÎaÄúôéþ}û\ëjΠnß¾ÇÀÀ@¬Vk­V»ÝÎÏ~ö3BBB0óÍ7ß°nÝ:ÂÂÂ0LX,¢££ÉËË£¤¤Á»ê5¬Y³¦VÝ
Gõ¶[·n%,,???À¡C\DzjÕ*BCCñóó£S§N¼óÎ;:䶶ºQQ¨½¥L0O?ý+W®pêÔ)N8ÁðáÃݶ?~<¹¹¹¤¥¥ÂÂ]ë'NÉd¢  ÄÄDl6[û"%%ÂÂBòòòêÙiii8p»ÝÎ; 44;wRZZÊñãǹpá3fÌÀßßß­^»ÝÎÌ3kÕÝØq$$$°oß>gÆ<y×^{7RVVÆÑ£G1bN Q°ï^%rçj£.¨ÍjµÒ¯_?þô§?ñüñãÇÓªÕ?ó^^III9rÁÁ``Þ¼yÌ=øøxòòòسgÛúØØXbbb¼nËÙ³gÙ¶mß|ó
¡¡¡Üÿý®õ#GüçÅ<8ùóçóÌ3ÏxTwcÇQ-..ÅÀôéÓ:t(¾¾¾´nÝôôt¿¿¿¡Û.Ø^{lí¬%fjëñÂ/ð?ü?üáµ=®MíÒ¥kY×®]ÉÏϯw}çÎMá9sæL­ [SBB>ú(÷Üsþþþ5òòr*++=

GÍ°\­}ûö8:tàO>áÓO?%44uòÈmn¯
¶µ¹µ®Ý"¢P{Ç=z4{öìÁßß¿ÖÛ­V+YYY®eYYYÔ»>;»i×;ðÝwßÕZKLL³gÏ&77vìØÓéÄÇǧÁº;ODGG³wï^
>yꩧ3fN¹cnlEDn<ý¢QDjëÑ®];ؼysapèС¼õÖ[QPP@\\'Nt­t[ßÔ(Í+¯¼âµ=qâÙÙÙ®Yů¯/YYY,^¼ØU¶ús·õÚ£1$&&RQQAÛ¶m1´nÝZ'ÜqÁV7S""7.Ð(Ô6 ÿþôìÙ³Îu6mÂáp`µZ	#""%K¸ÖÛl6
>
>bØ°aL0¡ÉíØ°a=zôà¡Âd21zôhÎ?O÷îÝ~Ø7 IDATgÒ¤IL&Æøqã\åºuëÆÌ3Àb±°víZ¯£!W®\aÁ®·+oÞ¼?þX'ÜÖÁ¶±p«,hõè±ÈÇp¦g~ì8QÃiòÅàèá¯	ëÝ Põ¬ÈmæTæ1NekVÕ׳ù9M*ß²ß×Ín¬DDnÌ5X×\[Crr21ã&6ùg6ØÚí_`ûx[ß×ÛED¢¾·#×uÓ¥-ëfuZ·
Ýl)Ü(ÐÈõ£ÏÔ´`ÀmèæJ¹Q §Zënº	«¹\7d""ÞZ];E¤&ÍÔÞ¦<Ñhäòåˤ¦¦âããÃ¥K¼Ú¶ærOL:eË©óEjÜt5vã¥Ù[ï®
>´"¢PëE`` nݺ1kÖ,
>oÊöÖZûõëÝnÇ××·Ñòõm[sycÁxõêÕ1þ|@"
>·""Í´õ]OEDjLdd$C%##/Á` 55UTY³f±bÅ
>uáV»ñþ¨@+"
>µ^³7ß|_~³Ù@.]ç?üáÕjAÑÑÑÍf5kÀ?gM?ýôSÂÃÃ18C±cÇúôéýû÷'--Í­ÌúõëéÖ­&É'»Í®[·°°0L&èèhòòò())aðàÁb4Y³fM3«6mª³þúfa«ççç×¹ÒÒR¦NJ@@I&qñâEH"\[Æì­(ÔzèÌ3>|qãÆ5¸ÝøñãÈÍÍ%--.\è¶ÍÖ­[ùâ/8þ<½{÷æÙgeË-¤¤¤PTTDß¾}yñÅÝÊìÞ½´´4¾ýö[<È\ëBCCÙ¹s'¥¥¥?~.0cÆüýýIII °°»ÝÎÌ3ëlwCõ7¤¡}L2ÂÂB233ÉÊÊ";;ØØXL"-npEäN³Õ×HZ/={öê68¸ÞmòòòHJJbÙ²eBBB7o7ntÛnÅÜ}÷Ýøúú2mÚ4N:ÅÊ+Ý}õÕWne-ZÁ`Àjµ2oÞ<6mÚäZ7räHî»ï>WûæÏObb¢WÇ×PýMQXXHBB+V¬Àl6c6åO>ÑÉ$ÒÂáVWDnÇ@Ûk¢H5ýI]áÖh4Öjáê#ÉÕºvíJ~~¾ûºF0n×®]Ëõ¬¡:X¹r%ǧ²²ªª*ÊËË©¬¬ôøøk³·N>Óé$**
>>>>TUUѪ~g"ÒpÛØÍÞµëuã'"·SñRG
:u¢wïÞ|ôÑGõncµZÈÊÊr-ËÊÊ"$$¤Ùû¿¶ÎêKLL³gÏ&77vìØÓétʦÖïºöQÝIII¤§§Î'8{ö¬­H[Og*4+"·JÕçfED¡ö{°zõjâââøýïOii)999Ì7Ý»wcµZ:t(o½õeeeÇĽïEqñâEWÕÝ­µX,øúúÅâÅ]åÈÈÈhRý¨k!!!5×_sçÎWg²½},ZDpEäγÕ×8ÚÉÞ½{ùË_þ½÷ÞÑhäñÇÇn·3pà@àê[V«°°0"""X²dI³÷=bÄÂÃÃéÞ½;½{÷féÒ¥tïÞøøx&MÉdbÌ1n/³êÖ­3gÎ$""ÅÂÚµk½ªßõíÃf³a6yà0L2CéDQÀÑçfEä{á8Ó³H?v¨á4ùsôð×õîOPH¨zÖ©©©<üðû>+r³9ySÇUGõõál~NÊ7§ì|ãXפȺé$rgKNN&fÜÄ&_­Ùxõ»¶·±õýx½(JDävPó½dJDfEäN¢P+"¢«N¹.AV×Q¨½C8§Ó©pëÛF7£"¢ +"
>µ""rËÜƶÕ
«Â¬®
"¢P{:u*÷ÝwóçÏ¿am¨~ÁÔ+WhÓFCYíàÁ<ñÄ;w___u7MyC²'ets+rûXý¬BíMÄÓ·¯^½   ho¾ºíèׯv»]'´H3BnS®·uèFX¿ [#´êÚÛ̬Y³Ô	"rGÝ
>»7:ôÞ»×Û6+pÜÁ±9?»×kß:·DD¡öVZZÊ+¯¼Â;¨¬¬dÔ¨Q¬]»Á@NN/¼ðû÷ï§{÷îÌ1_~Ùõxðµå£¢¢X³f
~~~®ÇO?ýpêÔ)ÂÂÂØ°a}úôàÌ3¼ðÂ|ùå®új_Íúë²nÝ:þýßÿZ·nÍСCY³f
V«µÎÐêe<ÀÀ@V®\ÉÌ3)((à¥^"11»îºþô§¼óÎ;Üu×]®ò[¶lá¿ü%'O$,,ÿú¯ÿ"##ðÝwßñÀ`³Ùo°íÛ·¯³
rk{]ýV=.ß|óM½Çéɸ(ì^ßyof0oÅ z»)¹=Ç^!VDnv­Ô2e
>dffEvv6±±±®õÏ?ÿ<={¤¤$6oÞ\«|QQdggÃܹsݶIHH`ß¾}î\'NÉd¢  ÄÄDl6×õ×ÊÎ;)--åøñã\¸p¡VP®¿¿?)))b·Û9s&ãÇ 77´´4RRRX¸p¡[ù­[·òÅ_pþüyz÷îͳÏ>Ë-[HII¡¨¨¾}ûòâ/6ÚÎÚQScýæɸ{Ó¯"rõ&¸¡¯¾¿]Üõî+ýó*"r=h¦ÖC$$$Ùl 66I&±fÍòòòøüóÏ9vì~~~øùù1gÎÆëV>==ÝU~Î9L4ßþö·®ýÄÅÅa±X>}:C //={öpäÈØØXbbb¼ª¿¦#Gþó¦08ùóçóÌ3Ï4¹òòòHJJrkã¼yó={6ñññ®íV¬XÁÝwß
À´iÓظq#_~ù¥Û²'|²EÚÙX¿y:îÞô«xvÝXP½Úq+ôÕê;¹ùÎ5½©\Dj¥A§OÆétªªªÈËË S§N®2;w®U~РA®eN§
>ªªªÜB[µöíÛãp8p8®ú»téÒ¤ú[µª=)ÀÊ+9~ü8TUUQ^^NeeeCíµmìÚµ+ùùùîÿèÖ8ÆêG~¯]V}ÜmÚ´iV;ë7OÇÝ~ï'è¿hìEDÐãdzZ­$%%Nzz:'NàìÙ³´jÕWªS«ü#G(..¦¸¸ÊËË=
>FÕå³²²\˲³³\nn.111Ì=ÜÜ\JJJرc+´Uÿ)o®N«}cmÌÊÊrõMS4ÖκÚáM¿5vÍ7¹¾7ðzTRDDDtW^Ë/séÒ%××+W		aÔ¨Q¼þúë;w¸:@<x0o¿ý6åååòÎ;ï¸ê¬.Ëùóçk÷$ÔFFFòÖ[oQVVFAAA³ê¯é´X,øúúÅâÅ]ë{ôè¿¿?kÖ¬¡²²ììl-[æZ@FF[êÖƸ¸8&NØä±h¬uµÃ~kì8;n"""""¢Pû½³X,´oßÞõ5eÊl6f³xÉÄ!C8tè«Íf#77ÀÀ@|òIbbbðññ¡uëÖ®õ^½zÕY¾16¢¢"6l&L¨µÞÓú»wïN||<&MÂd21fÌÆçZß®];l66lÀl63vìX¦NêZß­[7fÎIDDµk×°iÓ&V«°°0"""X²dIÇ¢±vÖ×Oû­±ãlqëÇp¦g~ì8QÃiòã[GMXïþªg>úW_}ÜÜ\uÆMäÚ?Ù#9ySÇUGõõál~NÊ7§¬ÜxÉÉÉÄØäÌlíÌöį°}¼­ïÇk¦¶%=z#GpòäI/_Î1cÔ1""""""×Bm*..fäÈú÷ïÏÀÝþ´,={Ù{ì±z_X$7ât:Õ"""""·ÍÔB­´¬b4¹|ùr£Û¦¦¦âããÃ¥K<ª»z{Ãñ½Wcm­¹Þ>Zù_ **ÀÀ@ݺucÖ¬Y~omèׯv»__ß;v¾¯>ðö"""""¢P{ÓJNN&22¡CÁÅIIIÁ`0Úâû«¨¨ðh(Ô6jÖ¬Y¼ùæ¼üòËÍfºtéB||<?üá((( ::³ÙL`` ³fÍrѺfýj>î[ý½Íf£gÏL&öïß_ï²êzJKK:u*X,&OLYYGÇtæÌFÁ` O>ìÛ·Ïm½7uW·ýúõtëÖ
ÉÄäÉ]ílìø«mÚ´©ÎòuíëÒ¥Kî·±qXµj¡¡¡øùùÑ©S'ÞyçJJJ<x0FÖ¬YÀºuëÃd2a±X&//ÏU_NNÃ
sõëêիݳ9c&"""""
>µ^;sæfܸq
n7~üxrssIKK#%%zµ¯]»vJqq1mÚ´©wYµ)S¦PTTDff&ÙÙÙäää0wî\ö5qâDL&$&&b³Ù]÷îÝ»IKKãÛo¿åàÁ,X°À«ãojùÊ54.'Oäµ×^cãÆqôèQF¿¿?)))b·Û9s&¡¡¡ìܹÒÒR?Î1ckÏ?ÿ<={¤¤$6oÞÜbc&"""""
>µ^;{ö,ÁÁÁõnGRRË-Ã`0¼yóظq£WûZºt)f³öíÛ7¸¬:l%$$°bÅ
>Ìf3&9sæðá6º¼¼<öìÙãÖÞØØØf×½hÑ"V«yóæ±iÓ&¯¿©åë+×ظøúúÒºukÒÓÓ)))Ál6Ó·oß÷5räHî»ï>×91þ|]ûûüóÏY²d	~~~3gÎ3ñþNm
®pk4ë
põäj]»v%??ß«}z´àôéÓ8N
äZæt:©¨¨ ªªªÑP{m{;wîìqÝ­ZÕý{æSË×W®±qéС|ò	«W¯fîܹôéÓåËYï¾X¹r%ǧ²²ªª*ÊËË©¬¬tí¯S§N-Ú¯"""""âÝY×ЩS'z÷îÍG}Tï6V«¬¬,ײ¬¬,BBB\oêµÛí®õÞ¾úöyäÈ)..¦¤¤òòòFÃQ]íÍÎÎnvÝ×õ춧Ç__ùÆÔW®±qfïÞ½òÔSO1fÌ|||jí'77fÏMnn.%%%ìرÃN«ë=}ú´«LNNN(Ô6ÙêÕ«ã÷¿ÿ=¥¥¥®°2oÞ<vïÞÕjeèС¼õÖ[QPP@\\'N Gøûû³fÍ*++ÉÎÎfÙ²eÍjSHH£F"66óçÏWg&«m,ÔFFFºµ÷wÞivÝ-ââÅ®ã¯þ<«§Ç__ùÆÔW®±qÉÌÌ$11
>Ú¶mÑh¤uëÖáÚOõ¬ÅbÁ×׬¬,/^ìZß¡CÌÛo¿Myy9-Ò¯"""""¢PÛ,ìÝ»¿üå/Ü{ï½Füqìv;®¾¹×áp`µZ	#""%KЮ];l66lÀl63vìX¦NÚìvÙl6½zõÂd21dÈ:äqÙ¢¢"6l&LhvÝ#F <<îݻӻwo.]êÕñ×W¾1
kh\®\¹Â\o8Þ¼y3ü1ݺucæÌDDD`±XX»v-Ý»w'>>I&a23fL­Ùl6rss	äÉ'$&&WXnÎg|gzvéÇ5ü
>ò²TÙÑÃ_Ö»?A!¡êÙÛTjj*?ü0ååå´k×î¶ß¯7>úè#^}õUrsso˱?ySÇUGõõál~NÊ7§¬ÜxÉÉÉÄØäÌlíÌöį°}¼­ïÇëEQ"MuôèQN'>ø 'Odùòå®ÏéÞÎî /88qó¿sþs«Söùßÿ|j.iQ
>µ"MT\\Ì	ÈÏÏÇ×ר¨(âããïcïz¯×e|µ.ÝzèÄZ¹q³æÜm¾ß<öØcn/ºÓØ/Så¬ÂYUÓ餪ª
>§³úÎ*p:©r:¹Ë·~xDDDDäºÐ¢DDDDDDD¡V<·|ùr0$''×Z¶jÕ*F#/_¾)ÛðàÁº}õIMMÅÇÇK.é$Q¨½y$%%ñÄO`6¹ûî»=z4G½)ÛÏøì³Ï°ÛíDFFÖZöꫯb·ÛñõõmÑöýö·¿å¾ûîs[¶zõj|||øë_ÿêZVýá?ýéOuÖÓ¯_?Wû®GP¼ÿþû0aB´UDDDDDj-99F¿ªg-½ñ§?ý¨¨(^zé%Î?ÏéÓ§yäGøÁ~Àwß}÷½u¤§í8}ú4N§¾}û6¸ìz6l:uÊ-äZö·¿ýªª*R«oWÍ::Dyy9o¾ùf³Û*"""""
>µ-"22½{÷ÈÞ½{q:®¯Ë###½®{Î9Ì?	&ЦMüüü7o?úÑX¸p!ðÏÇNׯ_O·nÝ0LL<Ùmv±´´©S§Åbaòäɹߺu+aaaøùù1`À:äU;¶oßÎã?@`` V«µÎe×Î~Úív~ö³Ñh$<<o¾ù¦Ñv_+<<:¸Baee%þ9-rIII<úè£W[l6={öÄd2±ÿ~|||ÈÏÏgðàÁ®¶FÖ¬YãqÖ¬Óáp¸úhôèÑôîÝÛë¶zÚ6mª÷<Úzí-[;v¬kF699±cDzeË&ÚÒÓÓ©µî_ÿõ_ùË_þâ¶l÷îݤ¥¥ñí·ßrðàA,XàZ7eÊÈÌÌ$;;æÎëV>!!}ûöQTTDxx83fÌðªQQQ¤¤¤PXXH^^^Ë®5iÒ$ÒÒÒ8pàv»;vàq»k:t¨+8p«ÕʨQ£8~ü8EEE® 8lØ0·r»ví"55ââbÚ´¹úÒl·¶ÛívfÎéq»êªsÛ¶mDEE5¹­ì·¡ó@DDDDDj=
>¶o¿ýv³mu		©µ.88sçι-[´h«ÕʼyóØ´i«V¬XÙlÆd21gÎ>üðC·òqqqX,|}}>}:©©©Mj7Î=˶mÛX½z5¡¡¡ÀÕÏvîÜÙãv×4|øpöìÙã
>C¥mÛ¶DDD°wï^JJJøúë¯>|¸[¹¥Kb6iß¾½GãâI»®­3++ÌÌL|òÉ&µÕÓýÖwÈ­ç{ÿ;µÕÁöÉ'lò#ÇÕ(((àÞ{ïu[WPPà֥ͬK×÷]»v%??øçgZ
äZït:©¨¨ ªªÊ- Vkß¾=Ãáu;¼qæÌW½VcínÕªöï,
F^^GaÏ=¼ôÒK<ùä$%%ѺukÚ·oÏ#<âV®:P{ÂÓþ¼¶ÎíÛ·óãÿ¶mÛ6©­î·¾ó@DDDDDn=7äíÇ®7ÿ6Ghh(½zõbË-µÖmÙ²¥ÖlcVVÛ÷Õ!ÕjµpäÈ)..¦¤¤òòò:asÛá;ÔùÒ«¦´»sçÎôìÙ]»v±oß>׬hõ£¾III2Äõ8pc|||Z¤]àþèqSÚêé~ë;DDDDDD¡ÖcÕ/öi®_ýêW,Y²?üÃAYY+V¬`çÎ,^¼ØmÛEqñâE
>
>
>cüøñÀÕÇGEll,çÏ //ÄÄÄëÒoÍ+¯¼âµ=qâÙÙÙMn÷°aÃøÍo~C=¸ç{«¦'??-[¶Ôú<mCªg¡322\ËÒ®sçÎñ÷¿ÿýèGMn«§û­ï<ÚïݳÏ>ËÖ­[ùÝï~ÇÝwßM§Nøâ/øâ/èÑ£Û¶#F <<îݻӻwo.]êZg³Ù0ôêÕÉÄ!CÜÞnÜíðÖ
èÑ£=ô&Ñ£G»B[SÚ=|øpòòò:t¨kYëÖ­<x0yyy^Í,wëÖ3gÅbaíÚµMj×ÿøG"##1Íj«'ûmè<[àLÏ."ýØq¢?BA^v*;zøkÂz÷'($ô¦:ÈÔÔT~øaÊËËi×®Fý&ÅÈ#6m:ã&u*ó§2qÿ}éØ©öÅT9«pVUát:©ªªÂé¬þ§³
>NªNîòmGæ#téÖ PÎæç4©
Í)+""""7^rr21ã&69s[;³=ñ+locëûñ·þL­Ü"""Ü>O+"""""â6ê¹¼ñÆêQ¨­ËÀq:mÛ?Ú;ÍòåË	Àh4\kÙªU«0\¾|¹ÁzRSSñññáÒ¥KêTÚ±lÙ2|||ظqc­uùùù,X°Ï>û»ÝNddd­e¯¾ú*v»___u¦Bí÷§ªª÷ßz÷Þ{¯ÖúÓ§Oãt:éÛ·oËn
>
 (ÔÞÉvïÞMaa!6mbß¾}>|صnûöí<þøãbµZë\vícÅv»ýìg`4	ço¾qÕ»k×.ÂÂÂðóócÀ:tȵ®´´©S§ÅbaòäÉÿ||Ùf³Ñ³gOL&C("""""
>µwª÷Þ{ç{ððpxâ	Þ}÷]׺¨¨(RRR(,,$//¯Îe×4iiii8p»ÝÎ;p­OHH`ß¾}Î3\ë¦LBQQdggÃܹsÝêßµk©©©Ó¦þR(ÔÞÎ9ÃÎ;8q"'Nä> ¼¼¼Éu={mÛ¶±zõjBCC¸ÿþûéܹ³k¸¸8,¾¾¾L>ÔÔTWHNHH`ÅÍfL&sæÌáÃ?tÛÇÒ¥K1Í´oß^("""""
>µwªõë×Ä°aÃ;v,.]âã?nVP®²õ	v}ß¾}{ÃõYÝAa±X°X,7»ÝNUU«LuXQ¨½CUUU±~ýzÎ;G§N°Z­ôêÕÃáö²·:vìÀwß}çuY«Õ
>À#G(..¦¸¸ÊËËiÕJÃ'"""""
>µò¿þüç?Í_~É7ß|ãúÚ¹s'û÷ïw{y7æW^qÍÚ8qìììFË0jÔ(bcc9þ<yyy$&&jÀDDDDDD¡V]ðOï¾û.QQQ0«Õêúzúé§yì±Ç5[»aÃzôèÁC=ÉdbôèÑ®ÚÍÁ` W¯^L&Òä-"""""r;ÑkrkرcG½ë¾üòK×÷Äétº­¿vÙµÿo2xï½÷êü»·Õe6ë-[W[DDDDDDî©ZZZQ¨7Äh4rùòå:ק¦¦âããÃá¸%gùòå`4INNÖBíí`Ù²eøù ¯ IDATøø°qãF·åýúõÃn·ãëë{Ëc~~>,à³Ï>Ãn·yS´«ú.]Ò("""""
>µÞªªªâý÷ß硪óÏèÜ.N>Óé¤oß¾M*_QQ¡EDDDDDjo6»w聆°M6±oß>>ìZwí,â3g1b>}ú°oß>·ºJKK:u*X,&OLYYkýªU«

ÅÏÏN:ñÎ;ïÔÛ®uëÖÉdÂb±M^^^íª¹¬®G¡·oßÎã?@`` V«¢££1Í2kÖ,Wx­®Ïf³Ñ³gOL&û÷ïÇÇÇO?ýððpäСCìر>}úàççGÿþýIKKkôXJJJ<x°«]F£5kÖ4zü9996Ì5«W¯v;þÆÆBDDDDDjoï½÷Ï=÷ááá<ñļûî»õn;qâDL&$&&b³ÙÜÖO2¢¢"233ÉÎÎ&''¹sçpòäI^{í56nÜHYYGeÄõî+44;wRZZÊñãǹpá3fÌhÒ1FEE@aa¡+?ÜÜ\ÒÒÒHIIaáÂnewíÚEjj*ÅÅÅ´iÓ­[·òÅ_pþüyz÷îͳÏ>Ë-[HII¡¨¨¾}ûòâ/6z,þþþní²ÛíÌ9Ó£ãþùç	äìÙ³$%%±yófÇBDDDDDjogÎaçÎL8ÑZ?øàÊËËkmÇ={X¶lbcc]ëIHH`ÅÍfL&sæÌáÃ?À××Ö­[NII	f³¹ÁGGÉ}÷Ý@pp0óçÏ'11±Å=//¤¤$·ã7o^­Ï/]º³ÙLûöí]ËV¬XÁÝw߯¯/Ó¦MãÔ©S¬\¹ÒmÙW_}Õ¬ci¨L^^þ9K,ÁÏÏàà`æÌãñXBímaýúõ1lØ0ÆË¥Køøãë]ºtq-ëܹ³ëûêϬ4ÅÅbaܸqØívªªªèС|ò	~ú)¡¡¡DDD4øâ}ôQî¹çüýý5jåååTVV¶X¨½öxºvíJ~~¾Ûv¡¡¡µÊ»¾o×®]ËëQà¦KCeªÛÞ©S§&(ÔÞòªªªX¿~=çΣS§NX­VzõêÃá¨óäêÏ¡fee¹egg×ZäÈ)..¦¤¤òòrZµºÚõÑÑÑìÝ»ÂÂBzê)ÆSgÛrssaöìÙäææRRRÂ;p:®·1ÛívWkÃhcê:¬¬,BBBZ´;¯ËT·ñôéÓ®2999^(ÔÞÒþüç?Í_~É7ß|ãúÚ¹s'û÷ïçСCµB`dd$o½õeee¸½è)$$Q£FËùó竳¡ÕÌfffHEEmÛ¶Åh4Òºuë:ÛV=#i±Xðõõ%++Å»Ö÷èÑÖ¬YCee%ÙÙÙ,[¶ÌëP;tèP·ãs=ÝR;222<.Ó¡CÌÛo¿Myy9^(ÔÞòÞ}÷]¢¢¢0`V«ÕõõôÓOóØcÕ9[k³Ù(**r=²<aÂZë
½zõÂd21dÈW8¾rå
>,p½åwóæÍu>æн{wâãã4i&1cÆ0nÜ8×úvíÚa³ÙØ°af³±cÇ2uêT¯û`Ó¦M8¬V+aaaDDD°dÉíçÆ¥[·nÌ9,k×®m´Lu_çææÈO>ILL>>>®_44"""""rkòéÙE¤;@ÔðG(ÈËnReGMXïþªgåûè£xõÕWÉÍÍUg´SÇ8qûèKÇNÝ°_(¦ÊY³ª
>§ÓIUUNgõ8UàtRåtro;2O¡K·r6?§ImhNY¹ñ7±É3ØÚíW_@kûx[ß×L­Ü>=Ê#G«.iùòåõ~FYDDDDDn
>µrÛ(..fäÈú÷ïÏÀWÇÜÆÚ¨ävñØc¹½\JDDDDDn©Ú;ÝÁ1\¾|ÔÔT|||¸téÛ÷""""""¢P{ÝýÏÿü111`4	
>
>âG?úüãë-Ó¯_?ìv;¾¾¾ê@Ú#%%'xG}£Gb·ÛÉÈÈ`Ú´iìÚµ«Î2ê8Úïç?ÿ9sçÎåµ×^ã{îÀd2ñüuëÖ¸)¶ÙlôìÙÉÄþýû=z̸´´©S§ÅbaòäÉ©ãEDDDDDjçôéÓ:tqãÆy´ý®]»HMM¥¸¸6m<{ô)S(**"33ìÿ¿½»ªÌÿ?þ@G¹Qï"L¦Ùýª¥õíº¬­¶[Ûf±îºê¶YZÛö­¶-íë¦f¢¶k«Éº}³6ZÛUð¶HEdÅaÎïebäFTÀ÷óñ<ë\×9\sÎÏ\gÎääË9sÔù""""""Jj/LQQ!!!îyiiiØl6:wîL§N¨ªªr%%%aµZñóóktûiii,Z´«ÕÅb!11U«V©óEDDDDDA¿S[CPPGÅl60~üxÆOFF×]wa¸hRûyyyÁðáÃÝóಲË>ci
>eQ5tïÞÞ}÷ÝÒ~XXYYYØívìv;¥¥¥TTT(¡QR{á^{í5ùýïOqq1§Oæ/¾¸à¶CCCeöìÙî¶
>
>زe:^DDDDDDIí5jÛ·oçÓO?媫®Âb±Ð£G>øàÖ¯_ßèBÕ'%%ÅbaÄìÚµK/"""""ÒúNmÂ5kê-6lÇwk¿?¯¾i«ÕÊ%KX²d:ZDDDDDäi¤VDDDDDDÔ(©QR+""""""Jjå¢Ú¹s'f³Ó§O«3DDDDDDÔ6_FF&S§N]²u2ﯯ """""¢¤¶í¨¬¬¼"Ö)"""""¢¤ö«µ]³f
1110lØ0víÚÅ
¸ækð÷÷çÚk¯%33Ó£ÎÒ¥KÄb±àù­.OII¡ÿþX,>ûì3÷èpsÖ	PVVÆ´iÓÄf³@yyy½ët:
>°(©½¬]»O>ùââbÈ=÷ÜCjj*Û·o§¤¤AñðÃ{ÔÙ¼y38p;w2þ|òM6ÝnÇÇÇç×9uêTJJJÈÎÎ&''ÜÜ\æÌÓ¤u(©m-ZD.]ðõõå'?ù	â^ð÷ùç{ÔY°`1wî\V®\éQÕjÅÏÏï×YTTDZZ-Âjµb±XHLLdÕªUMZ§H[¤!»¸§;uêTç<§ÓéqKoÏ=ÝÓ½zõ¢°°Ð£Í[g^^a0|øpw¹aTVVâr¹½N¶H#µÁáÃ=¦k&¤--,,¬¬,ìv;v»ÒÒR***ðòRxEDDDDDI­4Ñ8yò$G%99É'_´uËìÙ³)..   -[¶("""""¢¤VnÌ1ÄÄÄÅÀIJJº¨ëKII!  `±X1b»víR DDDDD¤ÝÓwjk6laÔ®«ü|óxàzè¡ó¶ßë´Z­,Y²%K4j""""""íFjEDDDDDDI­È¥¦Û[nõ¹´4R+""""""Jj2220L:uªYå""""""Ò4ºý¸³Ùìv¹\TTTàçp8ÔI""""""Jj[§IkFF×]wv»uHk¤ÛèÍ7ß$::ÅÍfcüøñx,³råJ"##±X,$$$Ô{»qYYÓ¦M#00ÍFBBåååêd%µGDD7n¤¬¬ýû÷sâÄ	fÌá±ÌæÍÉÌÌäÀìܹùóç×ÙÖÔ©S)))!;;rss3g:YDDDDDDIíÅ1vìXúôé@HHóæÍcË-Ë,X°ÂÂÂ;w.+W®¬ÕNQQiii,Z´«ÕÅb!11U«V©EDDDDDI_m¢´´4^xáöïßOUUûRUUUîezöìéîÕ«µÚÉËËÃ0îg¸\.¼¼ôyHC95A~~>&MbÖ¬YäççSZZÊ
Ü	iµÃ{LÔj+,,¬¬,ìv;v»ÒÒR***Ð(©myÕ#²6
___>Ì3Ï<Sk¹pòäI=Jrr2'O®µLhh(±±±Ì=ââb
>
>
>jÝÊ,""""""Jj[DTT.$>>ÅÂ	«µÜ1c!**Tg{)))0`À,#F`×®]êhFÒwjë1lØ0[«ýêW¿âW¿úǼ3gÖªóÐC5ئÕjeÉ%,Y²D."""""Ò©6K#µ"Òb¶mÝÉdâêC	RÈE§ZiQ#FÝEtÌu(©¶åêC	
>é®%µmÝÎ;1Í>}Ú=oþüùÌ5ë²mSFF&S§N)@rQv£èhÇ
>óÔ""""¢¤örzî¹ç0L,_¾¼YõÃáÀ×××=/))ªª*-[¦izPT\.o½õfÉ%<øàõ.[YYIÇWíµ×^kpýç«/ÒéAQ""""r©i¤¶7o¦¨¨+W²cÇvïÞí.«¾7%%þýûc±Xøì³ÏêW}«oYYÓ¦M#00ÍF||<'O¬·M§ÓY«NBBåååõnwu;K.%22ÅBBBB½·¿ùæDGGc±X°Ùl?¶Ö®]Ktt4þþþ:]»vióÒ¢DDDDDIíe¶dÉî»ï>bbb¸õÖ[Y¼xq­e6mÚDFFv»zçU:u*EEEdggsøðarrr={öyÛ:u*%%%dggCnn.sæÌiTRÉعs'óçϯs¹6nÜHYYû÷ïçÄÌ1Ãc´´4vìØAII	111µÊEjÒ¢DDDDDIíeväÈ6nÜÈ)S2e
>+V¬ ¢¢Âc¹¤¤$¬V+~~~çPTTDZZ-ÂjµbµZ={6«W¯®·Íï×±X,$&&²jÕªÿ@XXsçÎeåÊu.7vìXúôé@HHóæÍcË-Ë$''c³Ùðõõeúôédddh'zéAQ""""r©é;µß³téR¹ýöÛ8q"=öï½÷			îå"""jÕ­k@^^a0nÜ8L&N§ÉË媳~uáûçAee%.///Ìf³»Ìáp¸§{öìéîÕ«unWZZ/¼ðû÷離ª
>ËEEEUUUîeBBBÜÓ~~~8NNg­h%µËåbéÒ¥?~îÝ¿»Òét²xñb¤¶)ÂÂÂغuk½o}u²²²¯slM&::Ú=]31­Ï¤IX±b÷Ýw¾¾¾|üñÇÜ~ûí¡AEKM·×ð׿þ>ýôS¾úê+÷kãÆ|öÙgÍ~HRhh(±±±üâ¿àøñãÔºÕ·®:³gϦ¸¸¸Quª-X°'OrôèQ<yr­eªGd«o->|ø0Ï<óv¹`zP(©½L/^̸qã:t(aaaî×wÞÉ7ÞXç£+%%«ÕÊUW]ÅbaÄ
&É)))0`ÀF×3f111DEE1pà@j-ÅÂÇb±0aÂâââ´ÈÑ¢DDDDäR3ÆÞöîÛÀ¸Ñ×s´ §YíÙý/¢^Kphzö2ÈÈÈàºë®£¢¢N:©C¤EÊÞÇ¡oöÑ÷ªAwÄqÂËpa¸\ËåÂ0ª_`.0\AGßNdÌ¢gd?C#8VÛ¬m¸º""""rù¥§§3)nJ³sΰ¬ßò9)ï­cí[5R+""""""mZi³ôôãvdØ°azr±\Q.ùHmzzºz]DDDDDDÚfR;jÔ¨+>±}þùç	Äl6»û¢æ¼_~³ÙÌéÓ§µ´¦¤`âÄ-Ønݺ[o½«ÕJ.]¸÷Þ{Ù³gÏ%ÿ»³Ì?¿üå/8FYkÞO<ÃáÀ××·E·/##ÉÙlÆl6À¨Q£Ø½{·QRÛX©©©-Ø~øá73gR\\L^^×_=7ß|3_ýõ%û»yyyÁ AÎ;ïb***ÂápPTTDÿþý4iQRÛX#Gl±Ä611yóæñÀàãã¿¿?sçÎå®»î⩧¾¡\ºt)X,8u껲²2¦MF`` 6ÊËË=ê¯]»èèhüýý:t(»víjÒv¬_¿[n¹   ÂÂÂêW½¾êís8üô§?%44³ÙLLL_}õUÛÝ???&OÌÜóÞ|óM¢££±X,Øl6ÆOAA»üå_&""ºwïÎK/½Ô¨>i7Imubûè£2jÔ¨f'>¹¹¹ìÝ»·ÎÆþð|ôÑGó6oÞLff&`çÎÌ?ß]6uêTJJJÈÎÎ&''ÜÜ\æÌãQ?--;vPRRBLL3fÌhÒv7íÛ·gGK
>
>ê÷}ñññdffòå_âp8Ø°aÞîú8V¬XÁ­·ÞêÁÆ)++cÿþý8qÂýw~ûí·<ùä,_¾òòröìÙÃ1cÔ""""""í"©MOOçõ×_gÛ¶møûû7«¢¢"BCCkpüøqy,   °°0æÎËÊ+Ýí¤¥¥±hÑ"¬V+ÄÄDV­ZåQ?99ͯ¯/Ó§O'##£YÛÑÇcݺu¼öÚkDDDзo_zôèÑèíþ¾°°0l6;wfÓ¦M,^¼Ø]6vìXúôéãÞöyóæ±eË|}}ñööfïÞ½bµZÝ·L7w[DDDDDDÚ\RÎÄIMMeäÈÍn'((£GÖ*;zô¨{4³ZÏ=ÝÓ½zõ¢°°øî;­ÃÇf³a³ÙÃápàr¹<Ôj~~~8NNg·£)9âNd¿¯±Ûý}Øív÷Þ{/3gÎt¥¥¥qÃ
7еkW:wîLll,TUUÑ­[7V¯^Í5kà¦nrß>ÞÜmisImK$´pöVÙZ«,55Ñ£G{Ì;|ø°Çtu@VVv»»ÝNii)xyyµøv4Exx8@½ºÐíöóó#..Î}ûs~~>&MbÖ¬YäççSZZÊ
0ñãdzmÛ6¸ã;0aBlHIj["¡­öâ/òì³Ï²jÕ*N'ååå,Z´7òÌ3Ïx,»`ÁN<ÉÑ£GINNfòäÉÀÙÛccc={6ÅÅÅÀÙÑÌêÛn[z;"88ñãÇóøã»Gm<HNNÎo÷éÓ§Y½z5ýû÷pÈVßb}øðamÏÎÎfË-TVVÒ¡CÌf3ÞÞÞ-Ö""""""­>©Ý¶m[%´÷Üsk×®åø]ºt¡{÷î|òÉ'|òÉ'ôë×ÏcÙ1cÆCTT$))É]B@@Àb±0bħ·äv4Õ²eËèׯÆb±pï½÷ºÇælwPPf³àà`öìÙÃêÕ«báÂÄÇÇc±X0aqqqîzgÎaþüùîúï¼óï½÷^õ¡HScoN	{÷í`Üèë9ZÓ¬Æöìþѯ%84¢Uý\wÝuTTTЩS'E]¤eïãÐ7ûè{Õ Â»Gâ8aÇe¸0\.ÃÀåraÕ/0.à£o'²fÑ3²Á¡+ÌmÖ6\H]¹üÒÓÓ7¥Ù9gHXÖoù÷Ö±ö­èË""""""Òf)©6ËçJø#
æ~z¯´|¤¶úwMEDDDDDDÚ\R;jÔ¨KØîܹ³ÙÌéÓ§q%µfâÄ-Øfdd`20ÍX­VºtéÂ!C3gîåÃáÀ××WQR{aRSS[,±(**âılÙ2òóó4hß|óÍEÿ[*++µ\IIíÈ#[<±ðööfðàÁ,_¾[n¹yóæßè:u
>7ß|èèh,6ñãÇSPPàn'77Ûo¿®¹æ^{í5L&N§ÓÝVJJ
>ýû÷Çb±àt:ÏÛfu5kÖC@@Ã
c×®]lØ°k®¹®½öZ233] ¬¬iÓ¦Íf#!!òòrwùË/¿LDDþþþtïÞ^zIG(©mNbûè£2jÔ(¤«¥L2-[¶ÔYÁÆ)++cÿþý8q3f¸ËüãıcÇغu+ï¼óN­66mÚDFFv»ÛX»v-|ò	ÅÅÅ8{î¹ÔÔT¶oßNII	
âá¾ :S§N¥¤¤ììlrrrÈÍÍeÎ9|ûí·<ùä,_¾òòröìÙÃ1ctHuÙ~Ò'==×_mÛ¶áïïßâíR\\\gÙرcÝÓ!!!Ì7»ï¾þþ÷¿³oß>üýýñ÷÷'11'z´ÕjmTÕ-ZD.]øÉO~ÂòåËùôÓO=æ5ªÙuHKKcïÞ½îmKLL$>>W_}___¼½½Ù»w/Ã
£sçÎ4HG´Ye¤6=='ÊÈ#/Ê:
>éÚµkeiiiÜpÃ
tíÚÎ;KEEUUUî[»wïî^¾GµÚht5Ýj:uªsÓéÄét6«N^^a0|øpl66¸¸8.nݺ±zõjÖ¬YCDD7Ýt~bIDDDDDÔ6ÕÅNhV¬XQç­µùùùL4Y³fOii)6lÀ0BCCÈËËs×ÉÍÍ=ïºjóR	 ++»ÝÝn§´´
>¼¼ÎzüøñlÛ¶¢¢"î¸ã&L £@DDDDDÔ6ÅÅJh].»víbÚ´iüãÿàÙg­µLõè©ÍfÃ××ÃóÌ3ϸ˻uëÆ~ð~úi***(**jðaJ
µy©Ëìٳݷ^¸¿[Í-[¨¬¬¤CÍf¼½½uÚÆÚ¶m['´AAAX­VºvíÊ)S
>
>â?ÿù}úô©µlTT.$>>ÅÂ	óX&%%üü|5j&MÂd2Õ6¦ÍK%%%ÅbaÄìÚµ3gÎ0þ|0ͼóÎ;¼÷Þ{:
>DDDDD¤Í2ÆÞöîÛÀ¸Ñ×s´ §YíÙý/¢^KphD»ê¤wß}'xüü|í1rÅ:½Cßì£ïUïãáÂp¹0ËaT¿À0\`¸¾È>EÏÈ~Fp¬0·YÛp!uEDDDäòKOOgäø
>IDATRÜfç!a=X¿åsRÞ[ÇÚ·^¾ôiÍöìÙCVVpögpþy}÷TDDDDD¤RR[»ÝÎرc	àÚk¯eØ°a,\¸P#"""""ÒÊø¨j»ñÆùæoÔ""""""­FjEDDDDDDI­Ú&ÈÈÈÀd2qêÔ©]¶µl³´¤6==ÉÔà+==½UwVee¥ö+-©9r$Û¶m#((mÛ¶aûUsþÈ#½êеk׿¿?Ce×®]òü   Ìf3üã(++cÚ´ib³ÙHHH ¼¼Ü£Íú÷ïÅbá³Ï>«w=Õêkó|Û!""""""­4©­NlSSS8q¢{D6=='zA	mMiiiìرbbb1c;wfûöíáp8xäG:u*%%%dggCnn.sæÌñhsÓ¦Mddd`·Ûñññ©w=Õêkó|Û!""""""­8©ý~bûôÓO·xBÍfÃ××éÓ§Qï²EEE¤¥¥±hÑ"¬V+ÄÄDV­Zå±\RRV«??¿×ÓØ6EDDDDDäÂ]òß©­NlGuÁ·×%$$Ä=íççÓéÄétÖ¹l^^a0|øp÷<Ã0¨¬¬Äår¹çEDD4z=mSDDDDDDÚ`R[Ø:.Ù:M&S­yaaadeeÞ"ëi¨Íº¶CDDDDDDç²ý¤Ï¥LhøæoÜóBCCeöìÙPPPÀ-[½Ú¬k;DDDDDD¤%µZdd$<ò7Ýt67Þx0`#Fx<ɸ9Î×f}Û!""""""Mg½9%ìÝ·q£¯çhAN³Û³û_D¼àÐõ¬H;s({¾ÙGß«Þ=Ç	;.Ãára.è~a¸À0p};}0ýàXan³¶áBêÈåΤ¸)ÍÎ9CÂz°~Ë礼·µo-¼rFjEDDDDD¤ýQR+""""""JjEDDDDDDÔ(©%µWL&f³³ÙÍfcìر<xP#"""""¢¤¶m(**ÂápM.]4iRËUVVª³DDDDDDÔ¶N]ºtaæÌüûßÿ¾ÉMII¡ÿþX,N'GeüøñX­Vxì±ÇÜ	o~~>¡¡¡¬X±ÂÝnBB£F¢ªª7ÞxÁ{¬÷믿ÆÇÇC)""""""Jjçøñã¼ùæ:Ôcþ¦MÈÈÈÀn·ãããÃäÉÝ	lff&Û·o穧 [·n¬\¹G}={ö°lÙ2þú׿²jÕ*¼½½yàøúë¯ùâ/Üí/]ºÑ£GÓ«W/ADDDDDDImÓa³Ù¸úê«©¨¨`õêÕåIIIX­Vüüü(((`ëÖ­<÷ÜsÊܹsY¾|¹{ùÑ£GóÄOpï½÷òóÿwÞy°°0¬V+qqq,]ºªª*/_ÎôéÓ%µMWPPÝn§°°5kÖéQá±,@Ï=ÝózõêEaa¡G3grèÐ!Âm·ÝæQöðójÕ*ÊËËùðÃq:ÄÆÆ*""""""Jj/®ê×ûç>|ÐÐP÷ÿ»\.âãã;v,àOúG×]w}úô!55¥K@Ô¹""""""
ðQ\xR{Ûm·ñßü?ÿùÏ82e{¤¤$rssùâ/ÈÈÈà{îaøðá8нÌ3xé¥Ø»w//¾ø¢:VDDDDD¤4RÛV®\Óé$,,èèhnºé&}öY>þøc~÷»ßJ@@#Fà¿ü%'NääÉî6xಳ³¹ùæéׯ:UDDDDD¤4R[ðaÃ0£Éåaaa¬_¿¾Î:·Ýv'Nð7þ|æÏï1Ïl6¬D4Fj[5kÖPQQÁý÷߯Îi$Ô¶¡¡¡xyy±dÉ|}}Õ!""""""JjÛïÿü4n?%µÒ°L&§NjëQRÛ
>N³ÙÙl¦sçÎÜqÇdffªsDDDDDDÔ¶
EEE8>LDD?úÑZåvVVV¶ëõ(©½;wæ¡"++Ëc~YYÓ¦M#00ÍFBBåååîrÃÁOúSBCC1ÍÄÄÄðÕW_¹Ë7mÚDtt4þþþ:]»v5ªíêäú÷ïÅbÁét^ÒõéVfQRÛF³dÉ®¿þzùS§N¥¤¤ììlrrrÈÍÍeÎ9îòøøx233ùòË/q8lØ°ÀÀ@wyZZ;vì ¤¤fÌÑ趫Ôìv;>>>t}:uÒ!"""""­~Ò§aaaTUUáp8èÕ«~ú©»¬¨¨´´4öîÝÕj 11øøx^}õU;ƺuëøꫯ oß¾Àw?ÝÍf`úôéÜvÛmj»ZRR»üR¯ODDDDDDIm+WPP¯¯/ÿüç?¹ûî»Y¼x1, //Ã0>|¸{yÃ0¨¬¬ÄårqäÈIJ.!!!îi???N'N§³Á¶«U'¯À%_Ú6Àd2qýõ׳páB{ì1fÎI·nÝ ++ðððZõªç}ýõ×4¨Iël¨íº\êõ\N©ï­P'Ú¦HHHà^àw¿û/½ô¡¡¡ÄÆÆ2{öl^{í5ºvíJAA»wïfôèÑ3~üxüqV®\Ixx8Ä××·Áu5Ôv].õúD.°êQRÛäòñáé§fÆüú׿&((~ñ_0`ÀN:Exx83gÎt'Ë-#11ÁsêÔ)zöìÉ;ï¼Ó¨õ5Ôv].õúD.£9ê©Å{sJØ»o?ãF_ßìÇ=»ÿEôÀk	Õw0EÚCÙû8ôÍ>ú^5ðî8NØq.Ã0p¹\FõÃË0èèÛìYôìGphÇ
>sÕ¡""""Òd!a=X¿åsRÞ[ÇÚ·ê'}DDDDDD¤íRR+""""""m¾S[óÆs¬÷³SZå¿/Îa
>È9©=Çd2q¬÷Vû¯Z%µujM	c÷`IÄâãíEDh^xü>|¼½1L
>H
ºýøÉÄ+«¶ñó¸T©ò(û:÷o¿¿ãmKÞ1;óÿø~«N¼EDDDDDÔ¶"aðê»é<½xΪªVx+±+ÙlS'´c] ""Jj/4a|eÕ¶&×íÂÏãFòá?¹ãhºZý),.cõß¾$ÐÀ7]M`çñîæ/)<~®éÍ-Cú`3ûárÌ=ƺÿMYù)wsÿð~­Ä[DäJe``·WG´C6[`£;ãtª³Ú¡>>½b¯Ø+öJj[äb©ÆHms\Ó7?®þ;gUÜû¦ÆÞÈ·yÇy#u»{Þý·ý?þºRGooØÁñÒý}ü_×qÿíCXöÁó&ÞJlEäJ>OwTg´#m£sç®^^ñoñïÕ»b¯Ø+ö½ÚPs¤ö©éwyýß¿¿aó¬óÖÿðL*NàóÝß24º'¯òwy3ï¿Õ½üì÷´£ü4[ÿ¹i÷Þب:+6©=w\ñö+ç]ÖËË[GÝt
RçµR§OjÚûÛ¹åN:JÕyí(þ½b¯Ø+öJj[ðb©z¤ö·þRïwjuO×|£ü´{ÚYå:;¯Âs	//.ÁÀ¾áÚà.fL&^&èàã×yp¬Z¹âÚþs¢gËy{{ñøFÔÙS'uÞlÝQÅ0&ÇH1m_ñWì{Å^±WRÛBûÚºJÜTÖNüø¿óî_3ØýõU.úöfÆø[À¤YD¤ 
½½½x<îlB[QîPµþk³ÿiäû¡÷ÃöÅ^±Wì{%µ-u­taß©mR§­8}gÅÑ×_Õ¨Ä[´´§j÷ùÉdòÂä&¼ÕIÒâçéó½MhGÔÙòeê°6tÓø÷6C·íòW±Wì{Å^Im¨9RûôÃw{+)kÖëS\zÿ/¸;ÒÁÇÂâ2¾È<DT÷ F\Ð\~ms¿Ñ0ê[IL&L&&ÎþëþúM.ô=Ш÷ð»Ö_	m«ÑØ+ïl®ø~Û¹ó+FÞ6Â<:ùú¶íãú
>ýþ³;ïºo¿9¯oÇzã|üX>>>íîØoo±ôg?§wïH~øäE©Û^öC#µ±s
_¾²_¾²®IõrKjÕi̼ôý¤gì÷Xæ³]Ùµ­9­Zi-Â{ôV'Èe9O/¡
ììÏIÇ6õ7ýýïÛI^ô»wgâííÍM7ÝÈÓ¿ý
ú÷w_Àº}ù¹îÄeÓ¦1óO"~ÊÛÃmþnÝï^z¤çç×_ãG?»äÇCs¾ÜÚâßVcßûÉ5×äHî¡zÿ¶vç6ûêó­¿¿ÿÙ$ÉÇo¸äç#*ªáëÅKþÀÀ@|¢ÉÛÚغ-¹?ÔõþÒZc¯¤¶	L&³ÿ'­M^Ð\âð¦'µãñíråí{õ&´V?Nµ­'cþío[úÐt^~éEî»ogÎá7sçÝÍÇ[>¢wïÈï>Í>wó§?-ã·aé[¹óÎ;Úüû{¶&µ.åþ3Æðöò?÷ÃKÚw5÷¦¨¬¬¤cÇ­'þíüZèBööÔ¶ÆØWoÏ7÷áëëÝnçW¿K´øû¶­
G3¦?ÔìíllÝÜ.är©cß^ºJúî@	ÎNhµÿtÿ¦´"öF¿
>ô¡´ÈyºæaÍÖQvÂý&ßV^ó~ó[Å	÷ãííM§NxbÖã¾ý6O^èqÑbIÏ=Ïó²nm*wÜ1¦Íý½u½Î]á4úüðýºËýÚºõc/fÉoðÅdeíqýkçNºðþû0üéÖ½'#G&33«Iå§NªÕæ3gjØñ³Ç'ªozõîË#>Fyy¹G½wß[Í°ën G¯Þî6ZCüÛbì[z?©s~~>ãÆO <¢7ÝòþùÏ/ç¶xì·¶Ø×\OçÎúàìÞyÞãèû1ùÓG9yò¤»ÃÁ³é?àjº÷äná?»vÕÏï×½ýá|çÒÒRþûèÕwÝ{Dò¿KÿÔêbß©­á»ÚûZå¿/<®¤@Zǧ«.ÃÕÔD'ÔV¿zyyóøGÐÕêGÙÒóy9ϸ÷ÞØZ	Ý}ãîåç?áñ÷>öóY|ñEÙô}úôi?|÷üF.ïÞZeNaìÝÿÍý¹ñëy{ùr%?ï±­lÜÄæ¿l¤³HdÖlþ˦F×u!Xsߨ.ôgSåªbç_`2òàT^ð,s/ûÑGcëÍtèÐooïËßFÓ¿WÙ÷ýÆì'Õq|ø§bµZÙ¿7'Oò£¦4>ÎmðØoU±ÿ^,Kx{ÙräqÌ}ÿ8zôgsæL%;¿<p>0åAúí^|a!3ùÅÇóñÖ¿Þììl:vôuÇó|u/hhà³é
Ü>æNîßï¹Û/Éñe ZioDËÕèW[½VÔs먻èjíDY©Ãpµ¹QãÇT«,0(âdfóGã¶ÛFÕ.Fh=µæý^åå~åççóÑGcâÄ	ÁÄHM]CEEÇß7Þ\¬V+;t þÇðÕWÿnRùùFª§gã¦Müö7ó1ÍðÈOg¶ÎcÙ¹¿þf³__ßVÿ¶û±Aaa!ÿøÇ'Ìûõüüü
>
>âg>Ò¤8·µc¿µÅફ¯¡wþÜxó­TTT°ôÔ{UÇä©s11Í<öè#¬_¿álÌØ´éC&?G·naAdd$ááݬÛûCsÎ1­1ö¡ZiVVÛÐõý	¹B?Q9çÄ	;´ÑýªK×.+:FÏ==Ê+¢K.ÇMjê*xàAL&>×n¾bª'¶9§\n+V¾C`` ·Þz3±±cóëy¬[¿¸¸º·1(8Ð=íÛɧÓÉçF×Üêa¹ó. ²²*W{ÙnáÝZÕ¹ØÔ¬³@Û:æ»=
>@÷p÷üðîÝg//¯6xì·ØW·ùo÷Èe]×15£êLy0Á}^v:«Àd¢ÊUE~A½#kmCu/thÎ9¦µÆ^I­´üIÿÜyÏunö¶Ûï CÇøvüî
àtåil;óîªgOÔFj¥%ö½ïö!¿NÀ¨j³Kx·PúöíÃ
ïóØÏñ({ÿý÷ñ[Áp¹¸WGóÁµÜ?1òòüÏË¿ÃÛ»ü´Éódÿ¦~ý¡¹\.V®\EIq1׺Ö=¿ªªåËSûáÄïNë»íõwþrß8é(sO;wûýú!Áüß?¶Zÿ»æºZQüÛRì/æ~|ö§sssèßïìäæ5!ή6wì·ªØ7tÔQ^´5ïÞ­V°Ð`¾ÍÎæê«£=ʪ{áûÃùÏ1&.Óy¡9±oÝ~,"Í<÷»0ëÒVSUUÅÿ}ú©ûUå¬bÉâ?Æ÷O¤"ÍÝç0j|Äk´ù×Ó¿ÇK¿´uëq:ÏPQQΫ¯½ÎGÛÂ_%ÖXöìßÛ¯_6¾Æ§;>cÆÌG9sæLÛï05~ Äÿã·wänÚ@úÇݯwV,#ã˱gÏØy¾¨gÚs^TT$V«?½½ª*'yGòxù^­³~ppÿuç^ð,%öÀàèÑ£ü}ûöÖÕ:âßb1÷ n¾éF¾HEE9EEÇøãç¶uì·¾ØÓ¤òêüöég(.)®ÀÀ®½û.æÎ{À ;;¼#y
Ömý¡þsL×sw}{èPë½Z¹TI­ÅbfÍêUòÿòÿ³&uÙ½ÌÙ7%=½[.8«u¿FÛÝ1fo/]Âÿ.]Fßþ¹fð0>ÿü6¾¿Þ½{Sã¹$î:=zôà
iìÉÚË	?áÔ©ÓmºÜ¬Îi[GüÿywÝu']Cpp°û5rä
ʲå+jÅ®V<(ïØÑ×ÿð
>«Þ]Mï>ÑL{h&?úÑë­ÿú^ÅßßnAdÔUÄ@VÖÞú×Õâßb±÷×_R{)¢sßýqÜÿ}s[<ö[Sì:Nê)ý¯b±X¸ñ¦uÆäÕW~OTToFºÈ¨«?b{£ê^ÐþÐÀ9&""©	ñü÷Ý÷Ò§ßÕ¼ývJ«}ScoN	{÷í`Üèë9ZÓ¬Æöìþѯ%84B_"íÌ¡ì}úf}úÇнGæy8QÆ´¦ó§¥oaµZ<?=óöâà¾ÝDõ&84c¹êPiÆ)pæL%Ý{D5û}JZÜ·È>W5ês¯ÊJÅ¿=Æ¿wß«{Å^±Wì-$¬ë·|@Ê{ëXûÖB}§VDªúSÏï_X,¤®~§Î2ÞåV¹âÒÚSº½}RòѽâßîÞRÚeìúõjpüC}+}Cñº¢cucߨdY½*"Í:5ñ;²&Ý~,-Òjå·ÒæO)¦Æ§´»?í4öG}k}ñÒyçÒÇ^I­\ì«©~RR+ÕÖH}ôà±ötR9ÏF#ÿvÿ¦,¨Ø+örÅ^I­\d};51§UR+Ó¨k6ÿIÅ¿}Æ_±Wì{Å^I­\â/?ßÖj"-áªÚÉÕM³>ðRü¯Üø+ö½\ç}%µ"Ò:øøÐ3²:B.O"{îзú£½Å¶Q×Bÿ{¬Ø+ö½\â¤V?×!Òþøû=ðZäòå=çþýòótuF»º^55é¶BÅ¿ýÅ_±Wì{žU&µ"""-ÔÍëÖ½:£Æ¶!gïé«»)ö½È%Kj[bGDD¤ÎÔ	"""Rº@DDDDDDÔ(©QR+""""""JjEDDDDDDÔ(©QR+""""""JjEDDDDDDÔ4Ï÷gÄÆ?NHXõ´*±ñ7ÔNÌ´øÉê-iõtû±´Y>óY¤6Çêiþ?¼RíáÛ=IEND®B`
Comment 2 Denis Simonet 2014-12-23 08:15:37 UTC
Created attachment 111212 [details]
Sample document

I forgot to add the example document. It contains three sections, one of them being hidden (section 2). If you send this document by E-Mail, the attached document in the e-Mail won't contain section 2 anymore.
Comment 3 sophie 2014-12-26 13:04:23 UTC
Hi, confirmed using Version: 4.3.4.1 and Ubuntu 14.10, the hidden section is removed once the document sent by mail. Set as New - Sophie
Comment 4 Commit Notification 2015-03-31 10:34:34 UTC
Charu Tyagi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=50a0ddb99d53f86b571acc0373f0d2b4ec6d611a

fdo#87441-Send document as Email removes invisible content

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-03-31 10:34:38 UTC
Stefan Heinemann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33f1e29cb91f70e52c1af6ae33491c667b5225a6

tdf#87441: Adjustable hidden content removal in e-mails

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Stephan Bergmann 2015-03-31 10:47:51 UTC
@libreoffice-ux-advise:  Please see the new "Internet - E-mail - Suppress hidden elements of documents" option, maybe you have suggestions for improvement (if that's the logically best pane to put the new option anyway).
Comment 7 Yousuf Philips (jay) 2015-04-01 09:30:07 UTC
@Stephan: Looking at the english text used in the second commit, you have mispelt 'whether' as 'wheter' in "Specify wheter hidden content should be removed when sending via email". I would also suggest using "by" rather than "via". Unfortunately a new build hasnt come out today so i wasnt able to test the dialog yet, but hope to soon.
Comment 8 Commit Notification 2015-04-01 12:27:29 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1a9f4434c2c00a643a8a6ad330138022f2b7701

tdf#87441: RemoveHiddenContent is indep. of ExternalMailer/Program R/O state

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-04-01 12:27:34 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd23cf009a7e3c63a066794d41ae0c97589c8891

tdf#87441: Check for read-only RemoveHiddenContent

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Mike §chinagl 2015-05-21 16:13:13 UTC
This bug fix is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. In the notes it reads:

Option added to preserve document invisible content when sending a document by email. tdf#87441 (Stephan Bergmann)
Comment 11 Adolfo Jayme 2015-05-21 21:41:53 UTC
Disregard the previous comment. That user has been spamming everyone with that comment, apologies.
Comment 12 Mike §chinagl 2015-05-22 14:16:21 UTC
(In reply to Adolfo Jayme from comment #11)
> Disregard the previous comment. That user has been spamming everyone with
> that comment, apologies.

Please consider my clarifying statement:
https://bugs.documentfoundation.org/show_bug.cgi?id=86138#c13
Comment 13 QA Administrators 2016-09-20 10:13:57 UTC Comment hidden (obsolete)
Comment 14 Duffey O. 2016-09-23 12:10:51 UTC
Test is OK on LibreOffice 5.0.0.5 on Red Hat Enterprise Linux Server release 6.6 (Santiago).